<?php
/**
 * File from WEBO Site SpeedUp, WEBO Software (http://www.webogroup.com/)
 * Very basic templating class + some useful functions
 *
 **/
class compressor_view {

	/**
	* 
	* Creates class instance
	**/
	function compressor_view ($options = null) {
		$this->paths = array();
		$this->paths['full'] = array();
		$this->paths['relative'] = array();
		$this->paths['absolute'] = array();
		$this->set_paths();
	}

	/**
	 * Sets the paths
	 *
	 **/
	function set_paths ($document_root = null) {
		if (empty($document_root)) {
/* Save doc root, fix for PHP as CGI */
			$this->paths['full']['document_root'] = $this->ensure_trailing_slash($this->unify_dir_separator($_SERVER['DOCUMENT_ROOT']));
		} else {
			$this->paths['full']['document_root'] = $this->ensure_trailing_slash($this->unify_dir_separator($document_root));
		}
/* Avoiding problems with Denwer */
		if (empty($this->paths['full']['document_root']) || !@is_dir($this->paths['full']['document_root']) || !@is_file($this->paths['full']['document_root'] . getenv("SCRIPT_NAME"))) {
			$name = str_replace("//", "/", $this->unify_dir_separator(@getenv("SCRIPT_NAME")));
			$filename = str_replace("//", "/", $this->unify_dir_separator(@getenv("SCRIPT_FILENAME")));
			$this->paths['full']['document_root'] = $this->ensure_trailing_slash($this->unify_dir_separator(substr($filename, 0, strpos($filename, $name))));
		}
		$this->paths['full']['document_root'] = str_replace("//", "/", $this->unify_dir_separator(realpath($this->paths['full']['document_root'])) . '/');
/* Get the view directory */
		if ($document_root && !empty($_SERVER['SCRIPT_NAME'])) {
			$this->paths['full']['current_directory'] = $this->prevent_trailing_slash($this->unify_dir_separator($document_root)) . $this->prevent_trailing_slash($this->unify_dir_separator(str_replace($this->get_basename($_SERVER['SCRIPT_NAME']), "", $_SERVER['SCRIPT_NAME'])));
		} else if(!empty($this->paths['full']['document_root']) && !empty($_SERVER['SCRIPT_NAME'])) {
			$this->paths['full']['current_directory'] = $this->prevent_trailing_slash($this->paths['full']['document_root']) . $this->prevent_trailing_slash($this->unify_dir_separator(str_replace($this->get_basename($_SERVER['SCRIPT_NAME']), "", $_SERVER['SCRIPT_NAME'])));
		}

		if (!@file_exists($this->paths['full']['current_directory'])) {
			$this->paths['full']['current_directory'] = @getcwd();
		}

		$this->paths['full']['current_directory'] = $this->ensure_trailing_slash($this->unify_dir_separator($this->paths['full']['current_directory']));
		$this->paths['full']['current_directory'] = $this->unify_dir_separator(str_replace("//", "/", realpath($this->paths['full']['current_directory']) . '/'));
/* Set the current relative path */
		$this->paths['relative']['current_directory'] = str_replace($this->prevent_trailing_slash($this->paths['full']['document_root']), "", $this->paths['full']['current_directory']);
/* Set the root relative path */
		$this->paths['relative']['document_root'] = preg_replace("@[^/]+/$@", "", $this->paths['relative']['current_directory']);
/* set absolute root for some cases */
		$this->paths['absolute']['document_root'] = $this->paths['full']['document_root'] . $this->prevent_leading_slash($this->paths['relative']['document_root']);
/* Set the view directory */
		$this->paths['full']['view'] = $this->paths['full']['current_directory'] . "view/";
	}

	/**
	 * Adds trailing slash if required
	 *
	 **/	
	 function ensure_trailing_slash ($path) {
	 	if ($path{strlen($path) - 1} !== '/') {
			$path .= '/';
		}
	 	return $path; 
	 }

	/**
	 * Removes trailing slash if required
	 * 
	 **/	
	 function prevent_trailing_slash ($path) {
	 	if ($path{strlen($path) - 1} === '/') {
			$path = substr($path, 0, -1);
		}
	 	return $path;
	 }
	 
	/**
	 * Removes leading slash if required
	 * 
	 **/	
	 function prevent_leading_slash ($path) {
	 	if ($path{0} === '/') {
			$path = substr($path, 1); 
		}
	 	return $path;
	 }
	
	/**
	 * Renders a section of display code.
	 * 
	 **/	
	function render ($file_name, $vars = array ()) {
/* Set variable names */
		foreach ($vars as $key => $val) {
			$$key = $val;
		}
		$folder = $this->paths['full']['view'];
/* this is required for auto-maker all these files into 1 final */
		switch ($file_name) {
			case 'compress_gzip':
				?>[<?php  echo $success ? 1 : 0; ?>,"<?php  echo htmlspecialchars($file); ?>",<?php  echo round($size); ?>,<?php  echo round($compressed);  if ($error) {  ?>,<?php  echo round($error);  } ?>] <?php
				break;
			case 'dashboard_awards':
				     header('Content-Type: text/html;charset=' . _WEBO_CHARSET);  ?><a href="#wss_awards"><img src="<?php  if ($local) {  echo $cachedir; ?>webo-site-speedup161.png<?php  } else { ?>http://webo.in/rocket/?size=161&amp;top=<?php  echo $level1; ?>&amp;middle=<?php  echo $level2; ?>&amp;bottom=<?php  echo $level3; ?>&amp;tail=<?php  echo $level4; ?>&amp;circle=<?php  echo $level5;  } ?>?<?php  echo md5($options . $grade . $files . $size . $speedup); ?>" alt="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>" class="wssP0"/></a><dl class="wssP"><dt class="wssP1"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></dt><dd class="wssP2"><?php  echo $options; ?></dd><dt class="wssP1"><?php  echo _WEBO_DASHBOARD_AWARDS_GRADE; ?></dt><dd class="wssP2"><?php  echo $grade; ?></dd><dt class="wssP1"><?php  echo _WEBO_DASHBOARD_AWARDS_FILES; ?></dt><dd class="wssP2"><?php  echo $files; ?></dd><dt class="wssP1"><?php  echo _WEBO_DASHBOARD_AWARDS_SIZE; ?></dt><dd class="wssP2"><?php  echo $size . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></dd><dt class="wssP1"><?php  echo _WEBO_DASHBOARD_AWARDS_SPEEDUP; ?></dt><dd class="wssP2"><?php  echo $speedup < 0 ? 0 : $speedup; ?>%</dd></dl><p class="wssI wssI00"><a href="http://twitter.com/home?status=<?php  echo urlencode(_WEBO_AWARDS_TWITTER . ' ' . $short_link); ?>" class="wssJ wssJ10"><?php  echo _WEBO_DASHBOARD_SHARE_RESULTS; ?></a></p> <?php
				break;
			case 'dashboard_cache':
				     header('Content-Type: text/html;charset=' . _WEBO_CHARSET);  ?><table class="wssT"><col width="70%"/><col width="30%"/><tfoot><tr class="wssT4"><th class="wssT2"><?php  echo _WEBO_DASHBOARD_CACHE_SIZE; ?></th><td class="wssT3"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $total) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td></tr></tfoot><tbody class="wssT15"><?php  if ($css) { ?><tr><th class="wssT2"><?php  echo _WEBO_DASHBOARD_CACHE_CSS; ?></th><td class="wssT3"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $css) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td></tr><?php  }  if ($res) { ?><tr><th class="wssT2"><?php  echo _WEBO_DASHBOARD_CACHE_RESOURCES; ?></th><td class="wssT3"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $res) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td></tr><?php  }  if ($sprites) { ?><tr><th class="wssT2"><?php  echo _WEBO_DASHBOARD_CACHE_SPRITES; ?></th><td class="wssT3"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $sprites) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td></tr><?php  }  if ($js) { ?><tr><th class="wssT2"><?php  echo _WEBO_DASHBOARD_CACHE_JS; ?></th><td class="wssT3"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $js) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td></tr><?php  }  if ($html) { ?><tr><th class="wssT2"><?php  echo _WEBO_DASHBOARD_CACHE_HTML; ?></th><td class="wssT3"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $html) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td></tr><?php  }  if ($imgs) { ?><tr><th class="wssT2"><?php  echo _WEBO_DASHBOARD_CACHE_IMAGES; ?></th><td class="wssT3"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $imgs) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td></tr><?php  } ?></tbody></table><p class="wssI"><a href="#wss_refresh" class="wssJ wssJ5"><?php  echo _WEBO_DASHBOARD_CACHE_REFRESH; ?><span class="wssJ6"></span></a></p> <?php
				break;
			case 'dashboard_options':
				     header('Content-Type: text/html;charset=' . _WEBO_CHARSET);  if ($delta && $delta != 100) {  $i = 0; ?><ul class="wssO"><li class="wssO1"><span class="wssJ1"><?php echo _WEBO_DASHBOARD_OPTIONS_BARELY; ?></span></li><li class="wssO1 wssO11"><span class="wssJ1"><?php echo _WEBO_DASHBOARD_OPTIONS_NORMALLY; ?></span></li><li class="wssO1 wssO12"><span class="wssJ1"><?php echo _WEBO_DASHBOARD_OPTIONS_FAST; ?></span></li><li class="wssO1 wssO13"><span class="wssJ1"><?php echo _WEBO_DASHBOARD_OPTIONS_FLYING; ?></span></li></ul><p class="wssI"><span class="wssJ3" style="left:<?php echo round((100 - $delta) * 1.04); ?>%;width:<?php echo round($delta * 1.02); ?>%"></span><span class="wssJ4" style="left:<?php echo round((100 - $delta) * 0.94); ?>%"><?php echo 100 - $delta; ?></span></p><ul class="wssO3"><?php  foreach ($errors as $key => $value) {  if ($i < 3) {  ?><li class="wssO4"><strong class="wssJ2">+<?php  echo $value;  ?></strong> <?php  echo constant('_WEBO_' . $key);  ?></li><?php  $i++;  }  }  if ($premium < 1) { ?><li class="wssO4"><strong class="wssJ2">+28</strong> <a class="wssJ" href="#wss_promo"><?php  echo _WEBO_DASHBOARD_AVAILABLE; ?></a></li><?php  } ?></ul><p class="wssI wssI00"><a href="http://twitter.com/home?status=<?php  echo urlencode(_WEBO_DASHBOARD_SHARE_RESULTS1 . " " . (100 - $delta)) . '/100 - ' . $_SERVER['HTTP_HOST']; ?>" class="wssJ wssJ10"><?php  echo _WEBO_DASHBOARD_SHARE_RESULTS; ?></a></p><?php } else { ?><p class="wssI0"><?php  echo _WEBO_SYSTEM_NOPROBLEMS; ?></p><?php } 
				break;
			case 'dashboard_speed':
				     header('Content-Type: text/html;charset=' . _WEBO_CHARSET); if (($grade_after || $kb_after) && $premium > 1) {  if ($grade_after && $grade_before) { ?><h5 class="wssB1"><?php  echo _WEBO_DASHBOARD_SPEED_GAINED; ?>:</h5><dl class="wssP"><dt class="wssP1"><span class="wssI2"><?php  echo $grade_before; ?></span> &rarr; <strong class="wssI2"><?php  echo $grade_after; ?></strong></dt><dd class="wssP2"><strong class="wssI2">+<?php  echo $grade_after - $grade_before; ?></strong></dd></dl><?php  }  if ($kb_after && $kb_before) { ?><h5 class="wssB1"><?php  echo _WEBO_DASHBOARD_SPEED_SAVINGS; ?>:</h5><dl class="wssP"><dt class="wssP1"><span class="wssI2"><?php  echo round($kb_before / 1024); ?></span> <?php  echo _WEBO_LOGIN_EFFICIENCY_KB; ?> &rarr; <strong class="wssI2"><?php  echo round($kb_after / 1024); ?></strong> <?php  echo _WEBO_LOGIN_EFFICIENCY_KB; ?></dt><dd class="wssP2"><strong class="wssI2"><?php  echo round(100 * (1 - $kb_after / ($kb_before ? $kb_before : $kb_after))); ?></strong>%</dd></dl><?php  }  if ($grade_after) { ?><p class="wssI"><a href="http://twitter.com/home?status=<?php  echo urlencode(_WEBO_DASHBOARD_SHARE_RESULTS2 . " " . round(100 * $grade_before / $grade_after - 100) . '% - ' . $_SERVER['HTTP_HOST']); ?>" class="wssJ wssJ10"><?php  echo _WEBO_DASHBOARD_SHARE_RESULTS; ?></a></p><?php  } elseif ($kb_after) { ?><p class="wssI"><a href="http://twitter.com/home?status=<?php  echo urlencode(_WEBO_DASHBOARD_SHARE_RESULTS3 . " " . round(100 * (1 - $kb_after / $kb_before)) . '% ' . _WEBO_DASHBOARD_SHARE_RESULTS_TRAFFIC . ' - ' . $_SERVER['HTTP_HOST']); ?>" class="wssJ wssJ10"><?php  echo _WEBO_DASHBOARD_SHARE_RESULTS; ?></a></p><?php  } } else { ?><p class="wssI"><?php  echo _WEBO_DASHBOARD_SPEED_NODATA; ?></p><?php } if ($premium < 2) { ?><p class="wssI"><?php  echo _WEBO_DASHBOARD_AVAILABLE; ?></p><?php } 
				break;
			case 'dashboard_system':
				     header('Content-Type: text/html;charset=' . _WEBO_CHARSET);   if ($e + $w + $i) { ?><ul class="wssO"><?php  $k = 0;  foreach ($errors as $key => $value) {  if (empty($value) && $k < 3) { ?><li class="wssO1"><?php  echo constant('_WEBO_SYSTEM_' . $key);  $k++; ?> <a class="wssJ9" href="#" title="<?php  echo str_replace('"', '&quot;', constant('_WEBO_SYSTEM_' . $key . '_HELP')); ?>">?</a></li><?php  }  }  if ($k < 3) {  foreach ($warnings as $key => $value) {  if (empty($value) && $k < 3) { ?><li class="wssO1 wssO2"><?php  echo constant('_WEBO_SYSTEM_' . $key);  $k++; ?> <a class="wssJ9" href="#" title="<?php  echo str_replace('"', '&quot;', constant('_WEBO_SYSTEM_' . $key . '_HELP')); ?>">?</a></li><?php  }  }  }  if ($k < 3) {  foreach ($infos as $key => $value) {  if (empty($value) && $k < 3) { ?><li class="wssO1 wssO98"><?php  echo constant('_WEBO_SYSTEM_' . $key);  $k++; ?> <a class="wssJ9" href="#" title="<?php  echo str_replace('"', '&quot;', constant('_WEBO_SYSTEM_' . $key . '_HELP')); ?>">?</a></li><?php  }  }  } ?></ul><p class="wssI"><?php  echo _WEBO_SYSTEM_TOTAL; ?>: <?php  if ($e) {  echo $e . ' ' . ($e%10 == 1 ? _WEBO_SYSTEM_TROUBLE : ($e%10 < 5 ? _WEBO_SYSTEM_TROUBLES : _WEBO_SYSTEM_TROUBLES2));  }  if ($e && $w) { ?>, <?php  }  if ($w) {  echo $w . ' ' . ($w%10 == 1 ? _WEBO_SYSTEM_WARNING : ($w%10 < 5 ? _WEBO_SYSTEM_WARNINGS : _WEBO_SYSTEM_WARNINGS2));  }  if (($e || $w) && $i) { ?>, <?php  }  if ($i) {  echo $i . ' ' . ($i%10 == 1 ? _WEBO_SYSTEM_INFO : ($i%10 < 5 ? _WEBO_SYSTEM_INFOS : _WEBO_SYSTEM_INFOS2));  } ?></p><?php  } else { ?><p class="wssI0"><?php  echo _WEBO_SYSTEM_NOPROBLEMS; ?></p><?php  } 
				break;
			case 'install_about':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><?php  if (!$ready) { ?><ul class="wssM"><li class="wssM1"><a href="#wss_dashboard" class="wssM3" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><?php  }  if (!empty($submit) && !count($error)) { ?><div class="wssS"><div class="wssS1"><h2 class="wssB"><?php  echo _WEBO_ABOUT_SUCCESS; ?></h2></div></div><?php  } elseif (count($error)) { ?><div class="wssK"><div class="wssK1"><h2 class="wssB"><?php  echo _WEBO_ERROR_TITLE; ?></h2><ul class="wssL"><li class="wssL1<?php  if (empty($error[1])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_ABOUT_ENTEREMAIL; ?></li><li class="wssL1<?php  if (empty($error[2])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_ABOUT_ENTEREMESSAGE; ?></li></ul></div></div><?php  } ?><h1 class="wssA wssA3"><?php  echo _WEBO_ABOUT_TITLE; ?></h1><?php  echo _WEBO_ABOUT_TEXT; ?><form action="#wss_about" method="post" class="wssC wssC2" enctype="multipart/form-data"><h2 class="wssB wssB2"><?php  echo _WEBO_ABOUT_SENDMESSAGE; ?></h2><dl class="wssD"><dt class="wssD1"><label for="wss_email" class="wssE"><?php   echo _WEBO_ABOUT_EMAIL; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[1])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input id="wss_email" name="wss_email" title="<?php  echo _WEBO_ABOUT_ENTEREMAIL; ?>" class="wssF" value="<?php  if ((empty($submit) || !empty($email)) && count($error)) {  echo htmlspecialchars($email);  } ?>"/></dd><dt class="wssD1"><label for="wss_message" class="wssE"><?php   echo _WEBO_ABOUT_MESSAGE; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[2])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><textarea id="wss_message" name="wss_message" cols="20" rows="5" title="<?php  echo _WEBO_ABOUT_ENTEREMESSAGE; ?>" class="wssF wssF2"><?php  if ((empty($submit) || !empty($message)) && count($error)) {  echo htmlspecialchars($message);  } ?></textarea></dd></dl><p class="wssD"><input type="submit" value="<?php  echo _WEBO_ABOUT_SEND; ?>" class="wssG"/><input type="hidden" name="wss_page" value="install_about"/><input type="hidden" name="wss_Submit" value="1"/></p></form><div class="wssH wssH3"><div class="wssRB"><span class="wssRB1"><span class="wssRB2">&bull;</span></span><span class="wssRB3"><span class="wssRB4">&bull;</span></span></div><div class="wssH"><h2 class="wssB"><?php  echo _WEBO_ABOUT_ABOUT; ?></h2><ul class="wssO"><li class="wssO4"><a href="http://www.webogroup.com/?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_DASHBOARD_LINKS_WEBSITE; ?></a></li><li class="wssO4"><a href="http://www.webogroup.com/home/site-speedup/features/?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_ABOUT_FEATURES; ?></a></li><li class="wssO4"><a href="http://www.webogroup.com/home/site-speedup/benefits/?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_ABOUT_BENEFITS; ?></a></li><li class="wssO4"><a href="http://www.webogroup.com/home/site-speedup/requirements/?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_ABOUT_REQUIREMENTS; ?></a></li><li class="wssO4"><a href="http://www.webogroup.com/home/site-speedup/buzz/?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_ABOUT_BUZZ; ?></a></li><li class="wssO4"><a href="#wss_promo" class="wssJ"><?php  echo _WEBO_SPLASH2_COMPARISON; ?></a></li></ul></div><div class="wssH1"><h2 class="wssB"><?php  echo _WEBO_ABOUT_SUPPORT; ?></h2><ul class="wssO"><li class="wssO4"><a href="http://code.google.com/p/web-optimizator/w/list?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_DASHBOARD_LINKS_UG; ?></a></li><li class="wssO4"><a href="http://code.google.com/p/web-optimizator/issues/list?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_DASHBOARD_LINKS_ISSUES; ?></a></li><li class="wssO4"><a href="http://code.google.com/p/web-optimizator/wiki/InstallingIssues?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_ABOUT_SUPPORT_INSTALLING; ?></a></li><li class="wssO4"><a href="http://code.google.com/p/web-optimizator/wiki/ClientSideIssues?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_ABOUT_SUPPORT_CLIENT; ?></a></li><li class="wssO4"><a href="http://code.google.com/p/web-optimizator/wiki/ServerSideIssues?utm_source=product&amp;utm_medium=internal&amp;utm_campaign=web.optimizer" class="wssJ"><?php  echo _WEBO_ABOUT_SUPPORT_SERVER; ?></a></li><li class="wssO4"><a href="http://www.webogroup.com/home/support/" class="wssJ"><?php  echo _WEBO_DASHBOARD_LINKS_SUPPORT; ?></a></li></ul></div><div class="wssRB"><span class="wssRB5"><span class="wssRB6">&bull;</span></span><span class="wssRB7"><span class="wssRB8">&bull;</span></span></div></div> <?php
				break;
			case 'install_account':
				?> <noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a href="#wss_dashboard" class="wssM3" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM2" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><?php  if (!empty($submit) && !count($error)) { ?><div class="wssS"><div class="wssS1"><h2 class="wssB"><?php  echo _WEBO_LOGIN_SUCCESS; ?></h2></div></div><?php  } elseif (count($error)) { ?><div class="wssK"><div class="wssK1"><h2 class="wssB"><?php  echo _WEBO_ERROR_TITLE; ?></h2><ul class="wssL"><li class="wssL1<?php  if (empty($error[1])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_PASSWORD_ENTERPASSWORD; ?></li><li class="wssL1<?php  if (empty($error[2])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_LOGIN_ENTEREMAIL; ?></li><li class="wssL1<?php  if (empty($error[3])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_PASSWORD_DIFFERENT; ?></li><li class="wssL1<?php  if (empty($error[4])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_ACCOUNT_INVALID; ?></li></ul></div></div><?php  } ?><form action="#wss_account" method="post" class="wssC wssC3" enctype="multipart/form-data"><dl class="wssD"><dt class="wssD1"><label for="wss_license" class="wssE"><?php   echo _WEBO_LOGIN_LICENSE; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[4])) { ?> wssD8<?php  } ?>"><input id="wss_license" name="wss_license" title="<?php  echo _WEBO_LOGIN_ENTERLICENSE; ?>" class="wssF" value="<?php  if (empty($submit) || !empty($license)) {  echo htmlspecialchars($license);  } ?>" maxlength="29" size="29"/><span class="wssD3">*</span><input type="hidden" name="wss_premium" id="wss_premium" value="<?php  echo round($premium); ?>"/><span class="wssD4"><?php  if (!empty($expires) && $expires > -1 && $premium > 9) {  echo _WEBO_ACCOUNT_EXPIRES . ' ' . date("Y-m-d", time() + $expires*86400); ?>, <?php  } elseif ((empty($expires) || $expires < 0) && !$premium) { ?><a class="wssJ" href="javascript:(function(){var s=_.doc.createElement('script');s.type='text/javascript';s.src='http://webo.name/license/trial/?name='+_('#wss_name')[0].value+'&amp;email='+_('#wss_email')[0].value;_('head')[0].appendChild(s)}())"><?php  echo _WEBO_LOGIN_TRIAL; ?></a> <?php  }  if ($premium) {  switch (round($premium - 0.1)) {  case 10:  echo _WEBO_SPLASH2_COMPARISON_SAAS;  break;  case 3:  echo _WEBO_SPLASH2_COMPARISON_CORPORATE;  break;  case 2:  echo _WEBO_SPLASH2_COMPARISON_FULL;  break;  case 1:  echo _WEBO_SPLASH2_COMPARISON_LITE;  break;  case 0:  echo _WEBO_SPLASH2_COMPARISON_ZERO;  break;  }  echo ' ' ._WEBO_SPLASH2_COMPARISON_VERSION;  } ?>, <a href="<?php  echo $root; ?>LICENSE<?php  echo in_array($language, array('ru', 'ua')) ? '.utf8.ru' : ''; ?>.txt" target="_blank"><?php  echo _WEBO_LOGIN_LICENSEAGREEMENT2; ?></a></span></dd><dt class="wssD1"><label for="wss_name" class="wssE"><?php   echo _WEBO_LOGIN_USERNAME; ?>:</label></dt><dd class="wssD2"><input id="wss_name" name="wss_name" title="<?php  echo _WEBO_LOGIN_ENTERLOGIN; ?>" class="wssF" value="<?php  if (empty($submit) || !empty($name)) {  echo htmlspecialchars($name);  } ?>"/></dd><dt class="wssD1"><label for="wss_email" class="wssE"><?php   echo _WEBO_LOGIN_EMAIL; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[2])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input id="wss_email" name="wss_email" title="<?php  echo _WEBO_LOGIN_ENTEREMAIL . ' ' . _WEBO_LOGIN_EMAILNOTICE; ?>" class="wssF" value="<?php  if (empty($submit) || !empty($email)) {  echo htmlspecialchars($email);  } ?>"/><span class="wssD4"><?php  echo _WEBO_LOGIN_EMAILNOTICE; ?></span></dd><?php  if (!$internal) { ?><dt class="wssD1"><label for="wss_password" class="wssE"><?php   echo _WEBO_PASSWORD_OLD; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[1])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input type="password" id="wss_password" name="wss_password" title="<?php  echo _WEBO_PASSWORD_ENTERPASSWORD; ?>" class="wssF"/></dd><dt class="wssD1"><label for="wss_new" class="wssE"><?php   echo _WEBO_PASSWORD_NEW; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[3])) { ?> wssD8<?php  } ?>"><span class="wssD3"> </span><input type="password" id="wss_new" name="wss_new" title="<?php  echo _WEBO_PASSWORD_ENTERPASSWORDNEW; ?>" class="wssF"/></dd><dt class="wssD1"><label for="wss_confirm" class="wssE"><?php   echo _WEBO_PASSWORD_CONFIRM; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[3])) { ?> wssD8<?php  } ?>"><span class="wssD3"> </span><input type="password" id="wss_confirm" name="wss_confirm" title="<?php  echo _WEBO_PASSWORD_ENTERPASSWORDCONFIRM; ?>" class="wssF"/></dd><?php  } ?><dt class="wssD5">  <label for="wss_allow" class="wssE1"><?php   echo _WEBO_LOGIN_ALLOW; ?></label></dt><dd class="wssD6"><input type="checkbox" id="wss_allow" name="wss_allow" title="<?php  echo _WEBO_LOGIN_ALLOW; ?>"<?php  if (!empty($allow)) { ?> checked="checked"<?php  } ?>/></dd></dl><p class="wssD"><input type="submit" value="<?php  echo _WEBO_SPLASH1_SAVE; ?>" class="wssG"/><input type="hidden" name="wss_page" value="install_account"/><input type="hidden" name="wss_Submit" value="1"/></p></form><div class="wssH wssH3 wssH4"><div class="wssRB"><span class="wssRB1"><span class="wssRB2">&bull;</span></span><span class="wssRB3"><span class="wssRB4">&bull;</span></span></div><div class="wssH1"><h2 class="wssB"><?php  echo _WEBO_ABOUT_SUPPORT; ?></h2><p class="wssI"><?php  echo _WEBO_ACCOUNT_LICENSEINFO; ?></p><p class="wssI"><?php  echo _WEBO_ACCOUNT_LICENSEINFO2; ?></p><p class="wssI"><?php  echo _WEBO_ACCOUNT_LICENSEINFO3; ?></p></div><div class="wssRB"><span class="wssRB5"><span class="wssRB6">&bull;</span></span><span class="wssRB7"><span class="wssRB8">&bull;</span></span></div></div> <?php
				break;
			case 'install_awards':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM2" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><p class="wssI"><?php  echo _WEBO_AWARDS_INTRO; ?></p><img src="<?php  if ($local) {  echo $cachedir; ?>webo-site-speedup161.png<?php  } else { ?>http://webo.in/rocket/?size=161&amp;top=<?php  echo $level1; ?>&amp;middle=<?php  echo $level2; ?>&amp;bottom=<?php  echo $level3; ?>&amp;tail=<?php  echo $level4; ?>&amp;circle=<?php  echo $level5;  } ?>?<?php  echo md5($level1 . $level2 . $level3 . $level4 . $level5); ?>" id="wss_awrd" alt="<?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?> WEBO Site SpeedUp" title="<?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?> WEBO Site SpeedUp"/><ul class="wssO66"><li class="wssO67"><?php  if ($level1) { ?><span class="wssO36 wssO<?php  echo 36 + $level1; ?>"></span><?php  } ?><span class="wssO72"><?php  echo _WEBO_AWARDS_TOP;  if ($level1) { ?><span class="wssO52"><?php  echo constant('_WEBO_AWARDS_LEVEL' . $level1); ?></span><?php  } ?></span><div class="wssO71"><p class="wssI"><?php  echo _WEBO_AWARDS_TOP_INFO; ?></p><?php  if ($level1 < 3) { ?><p class="wssI"><?php  echo constant('_WEBO_AWARDS_TOP_' . $level1 . ($level1+1));  $i = 0;  foreach ($level_options[0][$level1] as $option) { ?><a href="#wss_options#<?php  echo $option; ?>">"<?php  echo constant('_WEBO_' . $option); ?>"</a><?php  if ($i != count($level_options[0][$level1]) - 1) { ?>, <?php  }  if ($i && $i == count($level_options[0][$level1]) - 2) {  echo _WEBO_DASHBOARD_CRITICAL_OR . ' ';  }  $i++;  } ?></p><?php  } ?></div></li><li class="wssO33"><?php  if ($level3) { ?><span class="wssO36 wssO<?php  echo 42 + $level3; ?>"></span><?php  } ?><span class="wssO72"><?php  echo _WEBO_AWARDS_BOTTOM;  if ($level3) { ?><span class="wssO52"><?php  echo constant('_WEBO_AWARDS_LEVEL' . $level3); ?></span><?php  } ?></span><div class="wssO71"><p class="wssI"><?php  echo _WEBO_AWARDS_BOTTOM_INFO; ?></p><?php  if ($level3 < 3) { ?><p class="wssI"><?php  echo constant('_WEBO_AWARDS_BOTTOM_' . $level3 . ($level3+1));  $i = 0;  foreach ($level_options[2][$level3] as $option) { ?><a href="#wss_options#<?php  echo $option; ?>">"<?php  echo constant('_WEBO_' . $option); ?>"</a><?php  if ($i != count($level_options[2][$level3]) - 1) { ?>, <?php  }  if ($i && $i == count($level_options[2][$level3]) - 2) {  echo _WEBO_DASHBOARD_CRITICAL_OR . ' ';  }  $i++;  } ?>.</p><?php  } ?></div></li><li class="wssO34"><?php  if ($level4) { ?><span class="wssO36 wssO<?php  echo 45 + $level4; ?>"></span><?php  } ?><span class="wssO72"><?php  echo _WEBO_AWARDS_TAIL;  if ($level4) { ?><span class="wssO52"><?php  echo constant('_WEBO_AWARDS_LEVEL' . $level4); ?></span><?php  } ?></span><div class="wssO71"><p class="wssI"><?php  echo _WEBO_AWARDS_TAIL_INFO; ?></p><?php  if ($level4 < 3) { ?><p class="wssI"><?php  echo constant('_WEBO_AWARDS_TAIL_' . $level4 . ($level4+1));  $i = 0;  foreach ($level_options[3][$level4] as $option) { ?><a href="#wss_options#<?php  echo $option; ?>">"<?php  echo constant('_WEBO_' . $option); ?>"</a><?php  if ($i != count($level_options[3][$level4]) - 1) { ?>, <?php  }  if ($i && $i == count($level_options[3][$level4]) - 2) {  echo _WEBO_DASHBOARD_CRITICAL_OR . ' ';  }  $i++;  } ?>.</p><?php  } ?></div></li><li class="wssO35"><?php  if ($level5) { ?><span class="wssO36 wssO<?php  echo 48 + $level5; ?>"></span><?php  } ?><span class="wssO72"><?php  echo _WEBO_AWARDS_CIRCLE;  if ($level5) { ?><span class="wssO52"><?php  echo constant('_WEBO_AWARDS_LEVEL' . $level5); ?></span><?php  } ?></span><div class="wssO71"><p class="wssI"><?php  echo _WEBO_AWARDS_CIRCLE_INFO; ?></p><?php  if ($level5 < 3) { ?><p class="wssI"><?php  echo constant('_WEBO_AWARDS_CIRCLE_' . $level5 . ($level5+1));  $i = 0;  foreach ($level_options[4][$level5] as $option) { ?><a href="#wss_options#<?php  echo $option; ?>">"<?php  echo constant('_WEBO_' . $option); ?>"</a><?php  if ($i != count($level_options[4][$level5]) - 1) { ?>, <?php  }  if ($i && $i == count($level_options[4][$level5]) - 2) {  echo _WEBO_DASHBOARD_CRITICAL_OR . ' ';  }  $i++;  } ?>.</p><?php  } ?></div></li><li class="wssO32"><?php  if ($level2) { ?><span class="wssO36 wssO<?php  echo 39 + $level2; ?>"></span><?php  } ?><span class="wssO72"><?php  echo _WEBO_AWARDS_MIDDLE;  if ($level2) { ?><span class="wssO52"><?php  echo constant('_WEBO_AWARDS_LEVEL' . $level2); ?></span><?php  } ?></span><div class="wssO71"><p class="wssI"><?php  echo _WEBO_AWARDS_MIDDLE_INFO; ?></p><?php  if ($level2 < 3) { ?><p class="wssI"><?php  echo constant('_WEBO_AWARDS_MIDDLE_' . $level2 . ($level2+1));  $i = 0;  foreach ($level_options[1][$level2] as $option) { ?><a href="#wss_options#<?php  echo $option; ?>">"<?php  echo constant('_WEBO_' . $option); ?>"</a><?php  if ($i != count($level_options[1][$level2]) - 1) { ?>, <?php  }  if ($i && $i == count($level_options[1][$level2]) - 2) {  echo _WEBO_DASHBOARD_CRITICAL_OR . ' ';  }  $i++;  } ?>.</p><?php  } ?></div></li></ul><img src="<?php  if ($local) {  echo $cachedir; ?>webonautes.png<?php  } else { ?>http://webo.in/webonautes/?options=<?php  echo $options; ?>&amp;url=<?php  echo $host;  } ?>?<?php  echo md5($level1 . $level2 . $level3 . $level4 . $level5); ?>" alt="Webonautes" class="wssO99"/><form action="#wss_awards" class="wssC8" method="get" enctype="multipart/form-data"><div class="wssO60"><img src="<?php  if ($local) {  echo $cachedir; ?>webo-site-speedup125.png<?php  } else { ?>http://webo.in/rocket/?size=125&amp;top=<?php  echo $level1; ?>&amp;middle=<?php  echo $level2; ?>&amp;bottom=<?php  echo $level3; ?>&amp;tail=<?php  echo $level4; ?>&amp;circle=<?php  echo $level5;  } ?>?<?php  echo md5($level1 . $level2 . $level3 . $level4 . $level5); ?>" id="wss_award" alt="<?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?> WEBO Site SpeedUp" title="<?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?> WEBO Site SpeedUp"/><div class="wssO61"><span class="wssO65"><?php  echo _WEBO_AWARDS_BACK; ?>:</span><span class="wssO56 wssO62" title="0"></span><span class="wssO56 wssO63" title="1"></span><span class="wssO56 wssO64" title="2"></span></div></div><h3 class="wssB"><?php  echo _WEBO_AWARDS_CHOOSE; ?>:</h3><dl class="wssO53"><dt class="wssO54"><label for="size88"><?php  echo _WEBO_AWARDS_SIZE; ?>:</label></dt><dd class="wssO55"><label class="wssO56"><input type="radio" name="size" id="size88" value="88" class="wssO70"/> 88x88</label><label class="wssO56"><input type="radio" name="size" value="125" checked="checked" class="wssO70"/> 125x125</label><label class="wssO56"><input type="radio" name="size" value="161" class="wssO70"/> 161x161</label><label class="wssO56"><input type="radio" name="size" value="250" class="wssO70"/> 250x250</label></dd><dt class="wssO54"><label for="color1"><?php  echo _WEBO_AWARDS_COLOR; ?>:</label></dt><dd class="wssO55"><label class="wssO57"><input type="radio" name="color" id="color1" value="webo-site-speedup" checked="checked" class="wssO70" title="<?php  if ($local) {  echo $cachedir; ?>webo-site-speedup125.png<?php  } else { ?>http://webo.in/rocket/?size=125&amp;top=<?php  echo $level1; ?>&amp;middle=<?php  echo $level2; ?>&amp;bottom=<?php  echo $level3; ?>&amp;tail=<?php  echo $level4; ?>&amp;circle=<?php  echo $level5;  } ?>"/> <?php  echo _WEBO_AWARDS_COLOR1; ?></label><label class="wssO57"><input type="radio" name="color" id="color2" value="webonaut1-" class="wssO70" title="<?php  if ($local) {  echo $cachedir; ?>webonaut1-125.png<?php  } else { ?>http://webo.in/webonautes/?size=125&amp;type=1&amp;options=<?php  echo $options; ?>&amp;url=<?php  echo $host;  } ?>"/> <?php  echo _WEBO_AWARDS_COLOR2; ?></label><label class="wssO57"><input type="radio" name="color" id="color3" value="webonaut2-" cclass="wssO70" title="<?php  if ($local) {  echo $cachedir; ?>webonaut2-125.png<?php  } else { ?>http://webo.in/webonautes/?size=125&amp;type=2&amp;options=<?php  echo $options; ?>&amp;url=<?php  echo $host;  } ?>"/> <?php  echo _WEBO_AWARDS_COLOR3; ?></label><label class="wssO57"><input type="radio" name="color" id="color4" value="webonaut3-" class="wssO70" title="<?php  if ($local) {  echo $cachedir; ?>webonaut3-125.png<?php  } else { ?>http://webo.in/webonautes/?size=125&amp;type=3&amp;options=<?php  echo $options; ?>&amp;url=<?php  echo $host;  } ?>"/> <?php  echo _WEBO_AWARDS_COLOR4; ?></label><label class="wssO57"><input type="radio" name="color" id="color5" value="webonaut4-" class="wssO70" title="<?php  if ($local) {  echo $cachedir; ?>webonaut4-125.png<?php  } else { ?>http://webo.in/webonautes/?size=125&amp;type=4&amp;options=<?php  echo $options; ?>&amp;url=<?php  echo $host;  } ?>"/> <?php  echo _WEBO_AWARDS_COLOR5; ?></label><label class="wssO57"><input type="radio" name="color" id="color1" value="webonaut5-" class="wssO70" title="<?php  if ($local) {  echo $cachedir; ?>webonaut5-125.png<?php  } else { ?>http://webo.in/webonautes/?size=125&amp;type=5&amp;options=<?php  echo $options; ?>&amp;url=<?php  echo $host;  } ?>"/> <?php  echo _WEBO_AWARDS_COLOR6; ?></label></dd><dt class="wssO54"><label for="codehtml"><?php  echo _WEBO_AWARDS_CODE; ?>:</label></dt><dd class="wssO55"><label class="wssO56"><input type="radio" name="code" id="codehtml" value="html" checked="checked" class="wssO70"/> <?php  echo _WEBO_AWARDS_CODE1; ?></label><label class="wssO56"><input type="radio" name="code" value="bb" class="wssO70"/> <?php  echo _WEBO_AWARDS_CODE2; ?></label><label class="wssO56"><input type="radio" name="code" value="site" class="wssO70"/> <?php  echo _WEBO_AWARDS_CODE3; ?></label><?php  if (!empty($short_link)) { ?><label class="wssO56"><input type="radio" name="code" value="twitter" class="wssO70"/> <?php  echo _WEBO_AWARDS_CODE4; ?></label><?php  } ?></dd></dl><p class="wssI"><textarea cols="72" rows="9" class="wssE">&lt;a href="<?php  echo $cachedir; ?>webo-site-speedup.php"&gt;<img width="125" height="125" alt="<?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?> WEBO Site SpeedUp" title="<?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?> WEBO Site SpeedUp" src="<?php  echo $cachedir; ?>webo-site-speedup125.png" border="0"/>&lt;/a&gt;</textarea><input type="hidden" name="webo_cachedir" value="<?php  echo $cachedir; ?>"/><input type="hidden" name="webo_aw" value="<?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?> WEBO Site SpeedUp"/><input type="hidden" name="webo_info" value="<?php  echo str_replace(array('<', '>', '"'), array('&lt;', '&gt;', '&quot;'), _WEBO_AWARDS_GENERAL); ?>"/><input type="hidden" name="webo_twitter" value="<?php  echo _WEBO_AWARDS_TWITTER . ' ' . $short_link; ?>"/></p></form> <?php
				break;
			case 'install_balance':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><div class="wssK wssA0"><div class="wssK1"><h2 class="wssB"><?php  echo _WEBO_SAAS_ERROR; ?></h2></div></div><div class="wssS wssA0"><div class="wssS1"><h2 class="wssB"><?php  echo _WEBO_SAAS_SUCCESS; ?></h2></div></div><h1 class="wssA wssA8"><?php  echo _WEBO_SAAS_TITLE; ?></h1><div class="wssH wssH17"><div class="wssRB"><span class="wssRB1"><span class="wssRB2">&bull;</span></span><span class="wssRB3"><span class="wssRB4">&bull;</span></span></div><div class="wssH1"><ul class="wssH10"><li class="wssH11"><?php  echo _WEBO_SAAS_CURRENT; ?><a class="wssJ9" href="#" title="<?php  echo _WEBO_SAAS_CURRENT_HELP; ?>">?</a><br/><span class="wssO15"></span></li><li class="wssH12"><?php  if ($premium) {  echo _WEBO_SAAS_VALID; ?><a class="wssJ9" href="#" title="<?php  echo _WEBO_SAAS_VALID_HELP; ?>">?</a><div class="wssH13"><?php  echo _WEBO_SAAS_FOR; ?> <span id="wss_balance_days">0</span> <span id="wss_balance_days1"><?php  echo _WEBO_SAAS_DAY; ?></span><span id="wss_balance_days2"><?php  echo _WEBO_SAAS_DAYS; ?></span><span id="wss_balance_days3"><?php  echo _WEBO_SAAS_DAYS2; ?></span></div><div class="wssH14"><?php  echo _WEBO_SAAS_TILL; ?> <span id="wss_balance_days4"><?php  echo date("Y-m-d"); ?></span></div><?php  } else {  echo _WEBO_SAAS_EXPIRED; ?><a class="wssJ9" href="#" title="<?php  echo _WEBO_SAAS_EXPIRED_HELP; ?>">?</a><?php  } ?></li><li class="wssH15"><?php  echo _WEBO_SAAS_CODE; ?><a class="wssJ9" href="#" title="<?php  echo _WEBO_SAAS_CODE_HELP; ?>">?</a><form class="wssH16" method="get"><p class="wssI"><input id="wss_balance_add" name="wss_balance_add" size="10" class="wssE"/><a class="wssJ7" href="javascript:_.n()"><span class="wssH18"><?php  echo _WEBO_SAAS_ADD; ?></span><span class="wssJ6"></span></a><a class="wssJ5" href="http://www.webogroup.com/store/saas/"><?php  echo _WEBO_GENERAL_BUY; ?><span class="wssJ6"></span></a></p></form></li></ul></div><div class="wssRB"><span class="wssRB5"><span class="wssRB6">&bull;</span></span><span class="wssRB7"><span class="wssRB8">&bull;</span></span></div></div><h3 class="wssB3 wssB4"><?php  echo _WEBO_SAAS_DAILY;  $saas = '';  $daily = 0;  foreach ($options as $key => $group) {  if (is_array($group)) {  foreach ($group as $option => $value) {  if (!empty($value['value']) && !empty($value['price'])) {  if ($price = is_array($value['price']) ? $value['price'][$value['value']] : $value['price']) {  $daily += empty($value['value']) ? 0 : $price;  $saas .= '<tr class="wssT8"><td class="wssT9">' .  constant('_WEBO_' . $option) .  '<a class="wssJ9" href="#" title="' .  constant('_WEBO_' . $option . '_HELP') .  '">?</a><br/><a href="#wss_options#' .  $key .  '" class="wssD12">' .  constant('_WEBO_' . $key) .  '</a></td><td class="wssT10"><span class="wssO15">' .  $price .  '</span></td><td class="wssT9">' .  constant('_WEBO_' . $option . '_EFFECT') .  '</td></tr>';  }  }  }  }  } ?></h3><?php  if ($saas) { ?><table class="wssT wssT20"><col width="50%"/><col width="15%"/><col width="35%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></th><th class="wssT7"><?php  echo _WEBO_saas; ?></th><th class="wssT7"><?php  echo _WEBO_SAAS_EFFECT; ?></th></tr></thead><tfoot><tr class="wssT21"><th class="wssT7"><?php  echo _WEBO_SYSTEM_TOTAL; ?></th><th class="wssT7 wssT10" colspan="2"><span class="wssO15"><?php  echo $daily; ?></span></th></tr></tfoot><tbody><?php  echo $saas; ?></tbody></table><?php  } else { ?><p class="wssI"><?php  echo _WEBO_SAAS_NODAILY; ?></p><?php  } 
				break;
			case 'install_cdn':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><h1 class="wssA wssA9"><?php  echo _WEBO_TOOLS_CDN; ?></h1><?php  if ($cdn_disabled) { ?><p class="wssI"><?php  echo _WEBO_CDN_DISABLED; ?></p><?php  } else { ?><p class="wssI"><?php  echo _WEBO_CDN_INFO; ?></p><p class="wssI"><?php  echo _WEBO_CDN_INFO2; ?></p><form action="#wss_cdn" class="wssC wssC4" method="post" enctype="multipart/form-data"><?php  if ($submit) { ?><p class="wssI"><a href="#wss_cdn" class="wssJ7" onclick="_.g(2)"><?php  echo _WEBO_CDN_SYNC; ?><span class="wssJ6"></span></a></p><?php  } ?><p class="wssI"><a href="#wss_cdn" class="wssJ5" onclick="_('.wssI3')[0].style.display='block';var a=_('.wssC4')[0];if(_.b.ie){_[a.name]({target:a})}else{a.onsubmit({target:a})}"><?php  echo _WEBO_GZIP_FIND; ?><span class="wssJ6"></span></a></p><dl class="wssD"><dd class="wssD1"><label for="wss_directory" class="wssE"><?php  echo _WEBO_GZIP_DIRECTORY; ?>:</label></dt><dd class="wssD2"><input class="wssF" name="wss_directory" id="wss_directory" value="<?php  echo htmlspecialchars($directory); ?>" title="<?php  echo _WEBO_GZIP_ENTERDIRECTORY; ?>"/></dd><dl class="wssD5"><label for="wss_recursive"><?php  echo _WEBO_GZIP_RECURSIVE;; ?></label></dl><dd class="wssD6 wssD7"><input type="checkbox" name="wss_recursive" id="wss_recursive" title="<?php  echo _WEBO_GZIP_ENTERRECURSIVE; ?>"<?php  echo $recursive ? ' checked="checked"' : ''; ?>/><input type="hidden" name="wss_Submit" id="wss_Submit" value="1"/></dd></dl><p class="wssA0 wssI3"><?php  echo _WEBO_GZIP_WAIT; ?>...</p><?php  if (count($results)) { ?><table class="wssT wssT0"><col width="67%"/><col width="10%"/><col width="18%"/><col width="5%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_SIZE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_MTIME; ?></th><th class="wssT7"><input type="checkbox" checked="checked" onclick="_.z()"/></th></tr></thead><tbody><?php  $i = 0;  foreach ($results as $result) { ?><tr class="wssT8 wssT1<?php  echo $i%2 ? 2 : 1; ?>"><td class="wssT9"><?php  echo str_replace($directory, "", $result[0]); ?></td><td class="wssT9"><?php  echo printf("%.1f", $result[3] / 1024) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td><td class="wssT9"><?php  $old = $result[1] < $result[2] || ($result[1] - $result[2] < 86400 && time() - $result[1] > 31536000);  echo $old ? _WEBO_GZIP_NOTCHANGED : date("Y-m-d H:i", $result[1]); ?></td><td class="wssT9"><input type="checkbox"<?php  echo $old ? '' : ' checked="checked"'; ?>/></td></tr><?php  $i++;  } ?></tbody></table><table class="wssT wssT0 wssA0"><col width="70%"/><col width="20%"/><col width="10%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_INITIAL; ?></th><th class="wssT7"><?php  echo _WEBO_CDN_STATUS; ?></th></tr></thead><tfoot class="wssT1"><tr class="wssT8"><th class="wssT9"><?php  echo _WEBO_GZIP_INITIAL_TOTAL; ?>:</th><th class="wssT9" id="wss_total1" colspan="2"></th></tr></tfoot><tbody></tbody></table><?php  } ?><div class="wss_h"><h4 class="wss_l"><span id="wss_prog">0</span>%<span class="wss_m"></span></h4><p id="wss_mess"><?php  echo _WEBO_GZIP_PROCESSING; ?> <span id="wss_file1"></span> <?php  echo _WEBO_GZIP_OUTOF; ?> <span id="wss_file2"></span>: <strong id="wss_file3"></strong></p></div></form><?php  } 
				break;
			case 'install_minify':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><h1 class="wssA wssA6"><?php  echo _WEBO_TOOLS_MINIFY; ?></h1><p class="wssI"><?php  echo _WEBO_MINIFY_INSTALLED; ?></p><form action="#wss_minify" class="wssC wssC4" method="post" enctype="multipart/form-data"><?php  if ($submit) { ?><p class="wssI"><a href="#wss_minify" class="wssJ7" onclick="_.g(3)"><?php  echo _WEBO_GZIP_COMPRESS; ?><span class="wssJ6"></span></a></p><?php  } ?><p class="wssI"><a href="#wss_minify" class="wssJ5" onclick="_('.wssI3')[0].style.display='block';var a=_('.wssC4')[0];if(_.b.ie){_[a.name]({target:a})}else{a.onsubmit({target:a})}"><?php  echo _WEBO_GZIP_FIND; ?><span class="wssJ6"></span></a></p><dl class="wssD"><dd class="wssD1"><label for="wss_directory" class="wssE"><?php  echo _WEBO_GZIP_DIRECTORY; ?>:</label></dt><dd class="wssD2"><input class="wssF" name="wss_directory" id="wss_directory" value="<?php  echo htmlspecialchars($directory); ?>" title="<?php  echo _WEBO_GZIP_ENTERDIRECTORY; ?>"/></dd><dl class="wssD5"><label for="wss_recursive"><?php  echo _WEBO_GZIP_RECURSIVE;; ?></label></dl><dd class="wssD6 wssD7"><input type="checkbox" name="wss_recursive" id="wss_recursive" title="<?php  echo _WEBO_GZIP_ENTERRECURSIVE; ?>"<?php  echo !$submit || $recursive ? ' checked="checked"' : ''; ?>/><input type="hidden" name="wss_Submit" id="wss_Submit" value="1"/></dd></dl><p class="wssA0 wssI3"><?php  echo _WEBO_GZIP_WAIT; ?>...</p><?php  if (count($results)) { ?><table class="wssT wssT0"><col width="67%"/><col width="10%"/><col width="18%"/><col width="5%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_SIZE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_MTIME; ?></th><th class="wssT7"><input type="checkbox" checked="checked" onclick="_.z()"/></th></tr></thead><tbody><?php  $i = 0;  foreach ($results as $result) { ?><tr class="wssT8 wssT1<?php  echo $i%2 ? 2 : 1; ?>"><td class="wssT9"><?php  echo str_replace($directory, "", $result[0]); ?></td><td class="wssT9"><?php  echo printf("%.1f", $result[3] / 1024) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td><td class="wssT9"><?php  echo $result[1] == $result[2] ? _WEBO_GZIP_NOTCHANGED : date("Y-m-d H:i", $result[1]); ?></td><td class="wssT9"><input type="checkbox"<?php  echo $result[1] == $result[2] ? '' : ' checked="checked"';  ?>/> </td></tr><?php  $i++;  } ?></tbody></table><table class="wssT wssT0 wssA0"><col width="67%"/><col width="15%"/><col width="17%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_INITIAL; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_FINAL; ?></th></tr></thead><tfoot class="wssT1"><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_INITIAL_TOTAL; ?>:</th><th class="wssT9" id="wss_total1"></th></tr><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_FINAL_TOTAL; ?>:</th><th class="wssT9" id="wss_total2"></th></tr><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_SAVINGS; ?>:</th><th class="wssT9" id="wss_total3"></th></tr></tfoot><tbody></tbody></table><?php  } ?><div class="wss_h"><h4 class="wss_l"><span id="wss_prog">0</span>%<span class="wss_m"></span></h4><p id="wss_mess"><?php  echo _WEBO_GZIP_PROCESSING; ?> <span id="wss_file1"></span> <?php  echo _WEBO_GZIP_OUTOF; ?> <span id="wss_file2"></span>: <strong id="wss_file3"></strong></p></div></form> <?php
				break;
			case 'install_gzip':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><h1 class="wssA wssA6"><?php  echo _WEBO_TOOLS_GZIP; ?></h1><p class="wssI"><?php  echo _WEBO_GZIP_INSTALLED; ?></p><p class="wssI"><?php  echo _WEBO_GZIP_INSTALLED2; ?></p><form action="#wss_gzip" class="wssC wssC4" method="post" enctype="multipart/form-data"><?php  if ($submit) { ?><p class="wssI"><a href="#wss_gzip" class="wssJ7" onclick="_.g()"><?php  echo _WEBO_GZIP_COMPRESS; ?><span class="wssJ6"></span></a></p><?php  } ?><p class="wssI"><a href="#wss_gzip" class="wssJ5" onclick="_('.wssI3')[0].style.display='block';var a=_('.wssC4')[0];if(_.b.ie){_[a.name]({target:a})}else{a.onsubmit({target:a})}"><?php  echo _WEBO_GZIP_FIND; ?><span class="wssJ6"></span></a></p><dl class="wssD"><dd class="wssD1"><label for="wss_directory" class="wssE"><?php  echo _WEBO_GZIP_DIRECTORY; ?>:</label></dt><dd class="wssD2"><input class="wssF" name="wss_directory" id="wss_directory" value="<?php  echo htmlspecialchars($directory); ?>" title="<?php  echo _WEBO_GZIP_ENTERDIRECTORY; ?>"/></dd><dl class="wssD5"><label for="wss_recursive"><?php  echo _WEBO_GZIP_RECURSIVE;; ?></label></dl><dd class="wssD6 wssD7"><input type="checkbox" name="wss_recursive" id="wss_recursive" title="<?php  echo _WEBO_GZIP_ENTERRECURSIVE; ?>"<?php  echo !$submit || $recursive ? ' checked="checked"' : ''; ?>/><input type="hidden" name="wss_Submit" id="wss_Submit" value="1"/></dd></dl><p class="wssA0 wssI3"><?php  echo _WEBO_GZIP_WAIT; ?>...</p><?php  if (count($results)) { ?><table class="wssT wssT0"><col width="67%"/><col width="10%"/><col width="18%"/><col width="5%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_SIZE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_MTIME; ?></th><th class="wssT7"><input type="checkbox" checked="checked" onclick="_.z()"/></th></tr></thead><tbody><?php  $i = 0;  foreach ($results as $result) { ?><tr class="wssT8 wssT1<?php  echo $i%2 ? 2 : 1; ?>"><td class="wssT9"><?php  echo str_replace($directory, "", $result[0]); ?></td><td class="wssT9"><?php  echo printf("%.1f", $result[3] / 1024) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td><td class="wssT9"><?php  echo $result[1] == $result[2] ? _WEBO_GZIP_NOTCHANGED : date("Y-m-d H:i", $result[1]); ?></td><td class="wssT9"><input type="checkbox"<?php  echo $result[1] == $result[2] ? '' : ' checked="checked"';  ?>/> </td></tr><?php  $i++;  } ?></tbody></table><table class="wssT wssT0 wssA0"><col width="67%"/><col width="15%"/><col width="17%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_INITIAL; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_FINAL; ?></th></tr></thead><tfoot class="wssT1"><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_INITIAL_TOTAL; ?>:</th><th class="wssT9" id="wss_total1"></th></tr><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_FINAL_TOTAL; ?>:</th><th class="wssT9" id="wss_total2"></th></tr><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_SAVINGS; ?>:</th><th class="wssT9" id="wss_total3"></th></tr></tfoot><tbody></tbody></table><?php  } ?><div class="wss_h"><h4 class="wss_l"><span id="wss_prog">0</span>%<span class="wss_m"></span></h4><p id="wss_mess"><?php  echo _WEBO_GZIP_PROCESSING; ?> <span id="wss_file1"></span> <?php  echo _WEBO_GZIP_OUTOF; ?> <span id="wss_file2"></span>: <strong id="wss_file3"></strong></p></div></form> <?php
				break;
			case 'install_image':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><h1 class="wssA wssA5"><?php  echo _WEBO_TOOLS_IMAGE; ?></h1><p class="wssI"><?php  echo _WEBO_IMAGE_INSTALLED; ?></p><p class="wssI"><?php  echo _WEBO_IMAGE_INSTALLED2; ?></p><form action="#wss_image" class="wssC wssC4" method="post" enctype="multipart/form-data"><?php  if ($submit) { ?><p class="wssI"><a href="#wss_image" class="wssJ7" onclick="_.g(1)"><?php  echo _WEBO_GZIP_COMPRESS; ?><span class="wssJ6"></span></a></p><?php  } ?><p class="wssI"><a href="#wss_image" class="wssJ5" onclick="_('.wssI3')[0].style.display='block';var a=_('.wssC4')[0];if(_.b.ie){_[a.name]({target:a})}else{a.onsubmit({target:a})}"><?php  echo _WEBO_GZIP_FIND; ?><span class="wssJ6"></span></a></p><dl class="wssD"><dd class="wssD1"><label for="wss_directory" class="wssE"><?php  echo _WEBO_GZIP_DIRECTORY; ?>:</label></dt><dd class="wssD2"><input class="wssF" name="wss_directory" id="wss_directory" value="<?php  echo htmlspecialchars($directory); ?>" title="<?php  echo _WEBO_GZIP_ENTERDIRECTORY; ?>"/></dd><dt class="wssD5"><label for="wss_recursive"><?php  echo _WEBO_GZIP_RECURSIVE; ?></label></dt><dd class="wssD6 wssD7"><input type="checkbox" name="wss_recursive" id="wss_recursive" title="<?php  echo _WEBO_GZIP_ENTERRECURSIVE; ?>"<?php  echo !$submit || $recursive ? ' checked="checked"' : ''; ?>/><input type="hidden" name="wss_Submit" id="wss_Submit" value="1"/></dd><dt class="wssD5"><label for="wss_backup"><?php  echo _WEBO_GZIP_BACKUP; ?></label></dt><dd class="wssD6 wssD7"><input type="checkbox" name="wss_backup" id="wss_backup" title="<?php  echo _WEBO_GZIP_ENTERBACKUP; ?>"<?php  echo !$submit || $backup ? ' checked="checked"' : ''; ?>/></dd><dd class="wssD6 wssD7 wssD11"><label><input type="radio" name="wss_service" id="wss_service1" value="0" checked="checked"/> smush.it</label>&nbsp;&nbsp;&nbsp;<label><input type="radio" name="wss_service" id="wss_service2" value="1"/> WEBO Nimblizer</label></dd></dl><p class="wssA0 wssI3"><?php  echo _WEBO_GZIP_WAIT; ?>...</p><?php  if (count($results)) { ?><table class="wssT wssT0"><col width="67%"/><col width="10%"/><col width="18%"/><col width="5%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_SIZE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_MTIME; ?></th><th class="wssT7"><input type="checkbox" checked="checked" onclick="_.z()"/></th></tr></thead><tbody><?php  $i = 0;  foreach ($results as $result) { ?><tr class="wssT8 wssT1<?php  echo $i%2 ? 2 : 1; ?>"><td class="wssT9"><?php  echo str_replace($directory, "", $result[0]); ?></td><td class="wssT9"><?php  echo printf("%.1f", $result[3] / 1024) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td><td class="wssT9"><?php  echo $result[1] == $result[2] ? _WEBO_GZIP_NOTCHANGED : date("Y-m-d H:i", $result[1]); ?></td><td class="wssT9">  <input type="checkbox"<?php  echo $result[1] == $result[2] ? '' : ' checked="checked"'; ?>/></td></tr><?php  $i++;  } ?></tbody></table><table class="wssT wssT0 wssA0"><col width="67%"/><col width="15%"/><col width="17%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_GZIP_RELATIVE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_INITIAL; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_FINAL; ?></th></tr></thead><tfoot class="wssT1"><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_INITIAL_TOTAL; ?>:</th><th class="wssT9" id="wss_total1"></th></tr><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_FINAL_TOTAL; ?>:</th><th class="wssT9" id="wss_total2"></th></tr><tr class="wssT8"><th class="wssT9" colspan="2"><?php  echo _WEBO_GZIP_SAVINGS; ?>:</th><th class="wssT9" id="wss_total3"></th></tr></tfoot><tbody></tbody></table><?php  } ?><div class="wss_h"><h4 class="wss_l"><span id="wss_prog">0</span>%<span class="wss_m"></span></h4><p id="wss_mess"><?php  echo _WEBO_GZIP_PROCESSING; ?> <span id="wss_file1"></span> <?php  echo _WEBO_GZIP_OUTOF; ?> <span id="wss_file2"></span>: <strong id="wss_file3"></strong></p></div></form> <?php
				break;
			case 'install_options':
				    if ($submit) {  if (count($error)) { ?><div class="wssK"><div class="wssK1"><h2 class="wssB"><?php  echo _WEBO_ERROR_TITLE; ?></h2><ul class="wssL"><li class="wssL1<?php  if (empty($error[0])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_SPLASH3_CANTWRITE4 .  ' config.' .  $config .  '.php . ' .  _WEBO_SPLASH3_HTACCESS_CHMOD; ?></li><li class="wssL1<?php  if (empty($error[10])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_SPLASH3_HTACCESS_CHMOD3 .  ' ' .  _WEBO_SPLASH3_HTACCESS_CHMOD4; ?></li><li class="wssL1<?php  if (empty($error[5])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_SPLASH3_CANTWRITE4 .  htmlspecialchars($config) .  _WEBO_SPLASH3_HTACCESS_CHMOD; ?></li><li class="wssL1<?php  if (empty($error[11])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_CDN_NOACCESS0; ?></li></ul></div></div><?php  } else { ?><div class="wssS"><div class="wssS1"><h2 class="wssB"><?php  echo _WEBO_LOGIN_SUCCESS; ?></h2></div></div><?php  } } else { ?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM2" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li><?php  if ($premium > 1 && 0) { ?><li class="wssM1"><a href="#wss_speed" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_RESULTS; ?>"><span class="wssM5"></span><span class="wssM4 wssM15"><?php  echo _WEBO_DASHBOARD_SPEED; ?></span></a></li><?php  } ?></ul><div class="wssX"></div><div class="wssU"><dl class="wssU1"><dt class="wssU2"><?php  echo _WEBO_OPTIONS_CONFIGURATION; ?>:</dt><dd class="wssU3"><?php  echo $options['title']; ?></dd><dt class="wssU2"><?php  echo _WEBO_OPTIONS_DESCRIPTION; ?>:</dt><dd class="wssU4"><?php  echo $options['description']; ?></dd></dl><dl class="wssU1"><dt class="wssU2"><?php  echo _WEBO_OPTIONS_ALLCONFIGS; ?>:<?php  if ($premium == 10) { ?><span class="wssU21"><?php  echo _WEBO_saas; ?> <span class="wssO15">14</span> <?php  echo _WEBO_saas2; ?></span><?php  } ?></dt><dd class="wssU5"><div class="wssH"><div class="wssRB"><span class="wssRB1"><span class="wssRB2">&bull;</span></span><span class="wssRB3"><span class="wssRB4">&bull;</span></span></div><div class="wssH1"><ul class="wssU10"><li class="wssU11<?php  if ($config == 'safe') { ?> wssU12 wssU17<?php  } ?>"><a class="wssJ" href="javascript:_.f('safe');void(0)" rel="safe"><?php  echo _WEBO_OPTIONS_SAFE; ?></a></li><li class="wssU11<?php  if ($config == 'optimal') { ?> wssU12 wssU17<?php  } ?>"><a class="wssJ" href="javascript:_.f('optimal');void(0)" rel="optimal"><?php  echo _WEBO_OPTIONS_OPTIMAL; ?></a></li><?php  if (count($configs)) {  foreach ($configs as $c) { ?><li class="wssU11 wssU16<?php  if ($config == $c) { ?> wssU12 wssU17 wssU19<?php  } ?>"><a class="wssJ" href="javascript:_.f('<?php  echo $c; ?>');void(0)" rel="<?php  echo $c; ?>"><span class="wssU15" onclick="_.d('<?php  echo $c; ?>');return false" title="<?php  echo _WEBO_OPTIONS_DELETECONFIG; ?>"></span><span>&nbsp;</span></a></li><?php  }  }  $i = count($configs);  $new = 'user' . ($i ? $i : '');  $oncemore = 1;  while ($oncemore) {  $oncemore = 0;  foreach ($configs as $c) {  if ($c == $new) {  $new = 'user' . (++$i);  $oncemore = 1;  }  }  } ?><li class="wssU11 wssU20"><a class="wssJ" href="javascript:_.e('<?php  echo $new; ?>');void(0)" rel="<?php  echo $new; ?>"><?php  echo _WEBO_OPTIONS_CREATENEW; ?></a></li></ul></div><div class="wssRB"><span class="wssRB5"><span class="wssRB6">&bull;</span></span><span class="wssRB7"><span class="wssRB8">&bull;</span></span></div></div></dd></dl><p class="wssI wssU18"><a href="javascript:_.c();void(0)" class="wssJ7"><?php  echo _WEBO_OPTIONS_APPLY; ?><span class="wssJ6"></span></a><a href="javascript:_.e();void(0)" class="wssJ5"><?php  echo _WEBO_OPTIONS_EDIT; ?><span class="wssJ6"></span></a></p><h3 class="wssB"><?php  echo _WEBO_OPTIONS_ATTENTION; ?></h3><p class="wssI"><?php  echo _WEBO_OPTIONS_ATTENTION2; ?></p></div><div class="wssA0 wssU0"><form method="post" enctype="multipart/form-data" action="#wss_options" class="wssC6"<?php  if (!$premium) { ?> style="height:551px"<?php  } ?>><dl class="wssU1"><dt class="wssU2"><label for="wss_title"><?php  echo _WEBO_OPTIONS_CONFIGURATION; ?>:</label></dt><dd class="wssU3"><input name="wss_title" id="wss_title" class="wssF" value="<?php  echo htmlspecialchars($options['title']); ?>"/><input name="wss_apply" id="wss_apply" type="hidden" value="1"/></dd><dt class="wssU2"><label for="wss_description"><?php  echo _WEBO_OPTIONS_DESCRIPTION; ?>:</label></dt><dd class="wssU4"><textarea rows="2" cols="80" class="wssF wssF1" id="wss_description" name="wss_description"><?php  echo htmlspecialchars($options['description']); ?></textarea></dd></dl><ul class="wssO3"><?php  $saas = '';  $daily = 0;  foreach ($options as $key => $group) {  if (is_array($group)) {  foreach ($group as $option => $value) {  if (!empty($value['price'])) {  $price = is_array($value['price']) ? $value['price'][$value['value']] : $value['price'];  $daily += empty($value['value']) ? 0 : $price;  $saas .= '<tr class="wssT8"' .  (empty($value['value']) ? ' style="display:none"' : '') .  ' id="wss_' .  $option .  '_saas"><td class="wssT9">' .  constant('_WEBO_' . $option) .  '<a class="wssJ9" href="#" title="' .  constant('_WEBO_' . $option . '_HELP') .  '">?</a><br/><a href="#wss_options#' .  $key .  '" class="wssD12">' .  constant('_WEBO_' . $key).  '</a></td><td class="wssT10"><span class="wssO15">' .  $price .  '</span></td></tr>';  }  }  }  }  foreach ($options as $key => $group) {  if (empty($group['premium']) && !in_array($key, array('fee', 'title', 'description'))) { ?><li class="wssO4<?php  echo $key == 'combinecss' ? ' wssO5' : ''; ?>"><a href="#<?php  echo $key; ?>" class="wssJ"><?php  echo constant('_WEBO_' . ($iis ? str_replace("htaccess", "iis", $key) : $key)); ?><span class="wssJ6"></span></a></li><?php  }  }  if ($premium == 10) { ?><li class="wssO4"><a href="#wssas" class="wssJ wssO14"><?php  echo _WEBO_saas; ?> <span class="wssO15"><?php  echo $daily; ?></span> <?php  echo _WEBO_saas2; ?><span class="wssJ6"></span></a></li><?php  } ?></ul><?php  foreach ($options as $key => $group) { ?><fieldset id="<?php  echo $key; ?>" class="wssD9<?php  echo $key != 'combinecss' ? ' wssA0' : ''; ?>"><dl class="wssD10"<?php  if (!$premium) { ?> style="height:355px"<?php  } ?>><?php  if (is_array($group)) {  foreach ($group as $option => $value) {  if (is_array($value)) {  if ($value['type'] != 'radio' || !empty($value['hidden'])) {  $value['count'] = 1;  }  $i = $disabled = 0;  if ($value['type'] == 'radio') {   while ($i++ != $value['count']) {  if (!empty($value['disabled']) && !empty($value['disabled'][$i-1])) {  $disabled = 1;  }  }  }  $i = 0;  if ($value['type'] == 'radio' && empty($value['hidden'])) { ?><dt class="wssD5<?php  echo !empty($value['disabled']) && ($disabled || $value['disabled'] == 100) ? ' wssD22' : ''; ?>"><label class="wssE" for="wss_<?php  echo $option; ?>1"><?php  echo constant('_WEBO_' . ($iis ? str_replace("htaccess", "iis", $option) : $option)); ?> <a class="wssJ9" href="#" title="<?php  echo str_replace('"', '&quot;', constant('_WEBO_' . $option . '_HELP'));  echo defined('_WEBO_' . $option . '_HELP_DISABLED') ? '///'. constant('_WEBO_' . $option . '_HELP_DISABLED') : ''; ?>">?</a></label></dt><?php  }  while ($i++ != $value['count']) {  if (empty($value['hidden'])) { ?><dt class="wssD<?php  echo strpos($value['type'], 'text') !== false ? 1 : 5;  echo !empty($value['disabled']) && (!empty($value['disabled'][$i-1]) || $value['disabled'] == 100) ? ' wssD20' : '';  echo !empty($value['price']) &&  !empty($value['value']) &&  ($value['value'] == $i-1 || $value['type'] != 'radio') &&  (!is_array($value['price']) || $value['price'][$i-1]) ? ' wssD23' : ''; ?>"><label for="wss_<?php  echo $option . ($value['type'] == 'radio' ? $i : ''); ?>" class="wssE"><?php  echo constant('_WEBO_' . ($iis ? str_replace("htaccess", "iis", $option) : $option) . ($value['count'] > 1 ? $i : ''));  echo strpos($value['type'], 'text') !== false ? ':' : '';  if ($value['type'] != 'radio') { ?> <a class="wssJ9" href="#" title="<?php  echo constant('_WEBO_' . $option . '_HELP');  echo defined('_WEBO_' . $option . '_HELP_DISABLED') ? '///'. constant('_WEBO_' . $option . '_HELP_DISABLED') : ''; ?>">?</a><?php  }  if (!empty($value['price']) && $premium == 10) {  $price = is_array($value['price']) ? $value['price'][$i-1] : $value['price'];  if ($price) { ?><span class="wssO15" id="wss_<?php  echo $option . ($value['type'] == 'radio' ? $i : ''); ?>_webo"><?php  echo $price; ?></span><?php  }  } ?></label></dt><?php  }  switch ($value['type']) {  case 'text': ?><dd class="wssD2<?php  echo !empty($value['disabled']) ? ' wssD20' : ''; ?>"><input <?php  echo empty($value['hidden']) ? '' : ' type="hidden"'; ?> value="<?php  echo htmlspecialchars($value['value']); ?>" name="wss_<?php  echo $option; ?>" id="wss_<?php  echo $option; ?>" class="wssF"<?php  if (!empty($value['price'])) { ?> onblur="_.u(this)"<?php  }  if (empty($value['hidden'])) { ?> title="<?php  echo constant('_WEBO_' . $option . '_HELP'); ?>"<?php  } ?>/></dd><?php  break;  case 'smalltext': ?><dd class="wssD2<?php  echo !empty($value['disabled']) ? ' wssD20' : ''; ?>"><input <?php  echo empty($value['hidden']) ? '' : ' type="hidden"'; ?> value="<?php  echo htmlspecialchars($value['value']); ?>" name="wss_<?php  echo $option; ?>" id="wss_<?php  echo $option; ?>" class="wssF wssF3"<?php  if (!empty($value['price'])) { ?> onblur="_.u(this)"<?php  } ?> title="<?php  echo constant('_WEBO_' . $option . '_HELP'); ?>"/></dd><?php  break;  case 'radio': ?><dd class="wssD6<?php  echo !empty($value['disabled']) && (!empty($value['disabled'][$i-1]) || $value['disabled'] == 100) ? ' wssD20' : ''; ?>"><input value="<?php  echo $i; ?>" type="<?php  echo empty($value['hidden']) ? 'radio' : 'hidden'; ?>"<?php  if ($value['value'] == $i-1) { ?> checked="checked"<?php  } ?> name="wss_<?php  echo $option; ?>" id="wss_<?php  echo $option . $i; ?>" class="wssF"<?php  if (!empty($value['price'])) { ?> onclick="_.u(this)"<?php  }  if ($price) { ?> title="<?php  echo $price; ?>"<?php  } ?>/></dd><?php  break;  case 'checkbox': ?><dd class="wssD6<?php  echo !empty($value['disabled']) ? ' wssD20' : ''; ?>"><input type="<?php  echo empty($value['hidden']) ? 'checkbox' : 'hidden'; ?>"<?php  echo $value['value'] ? ' checked="checked"' : ''; ?>" name="wss_<?php  echo $option; ?>" id="wss_<?php  echo $option; ?>" class="wssF"<?php  if (!empty($value['price'])) { ?> onclick="_.u(this)"<?php  } ?> title="<?php  echo constant('_WEBO_' . $option . '_HELP'); ?>"/></dd><?php  break;  case 'textarea':  if (!empty($value['hidden'])) { ?><input type="hidden" name="wss_<?php  echo $option; ?>" id="wss_<?php  echo $option; ?>" value="<?php  echo htmlspecialchars($value['value']); ?>" title="<?php  echo constant('_WEBO_' . $option . '_HELP'); ?>"/><?php  } else { ?><dd class="wssD2<?php  echo !empty($value['disabled']) && $value['disabled'] == $i ? ' wssD20' : ''; ?>"><textarea class="wssF wssF1" cols="30" rows="2" name="wss_<?php  echo $option; ?>" id="wss_<?php  echo $option; ?>"<?php  if (!empty($value['price'])) { ?> onblur="_.u(this)"<?php  } ?> title="<?php  echo constant('_WEBO_' . $option . '_HELP'); ?>"><?php  echo htmlspecialchars($value['value']); ?></textarea></dd><?php  }  break;  } ?></dd><?php  }  }  }  } ?></dl></fieldset><?php  }  if ($premium == 10) { ?><fieldset id="wssas" class="wssA0 wssD9"><input type="hidden" value="<?php  echo $options['fee']; ?>" name="wss_fee" id="wss_fee"/><div class="wssD10"><h3 class="wssB3"><?php  echo _WEBO_SAAS_DAILY; ?></h3><table class="wssT wssT20"><col width="80%"/><col width="20%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></th><th class="wssT7"><?php  echo _WEBO_saas; ?></th></tr></thead><tfoot><tr class="wssT21"><th class="wssT7"><?php  echo _WEBO_SYSTEM_TOTAL; ?></th><th class="wssT7 wssT10"><span class="wssO15"><?php  echo $daily; ?></span></th></tr></tfoot><tbody><?php  echo $saas; ?></tbody></table></div></fieldset><?php  } ?><p class="wssI wssU18"><a href="javascript:_('.wssU')[0].style.display='block';_('.wssU0')[0].style.display='none';void(0)" class="wssJ8"><?php  echo _WEBO_SPLASH1_BACK; ?></a> <span class="wss_butt1"><a href="javascript:var a=_('.wssC6')[0];_('#wss_apply')[0].value=0;if(_.b.ie){_[a.name]({target:a},_.y)}else{a.onsubmit({target:a},_.y)}void(0)" class="wssJ5"><?php  echo _WEBO_SPLASH1_SAVE; ?><span class="wssJ6"></span></a> <a href="javascript:var a=_('.wssC6')[0];_('#wss_apply')[0].value=1;if(_.b.ie){_[a.name]({target:a},_.y)}else{a.onsubmit({target:a},_.y)}void(0)" class="wssJ7"><?php  echo _WEBO_OPTIONS_APPLY; ?><span class="wssJ6"></span></a></span><span class="wss_butt2"><a href="javascript:var a=_('.wssC6')[0];_('#wss_apply')[0].value=1;if(_.b.ie){_[a.name]({target:a},_.y)}else{a.onsubmit({target:a},_.y)}void(0)" class="wssJ7"><?php  echo _WEBO_SPLASH1_SAVE; ?><span class="wssJ6"></span></a></span><input type="hidden" name="wss_Submit" value="1"/></p></form><?php } ?></div> <?php
				break;
			case 'install_promo':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><?php  if (!$ready) { ?><ul class="wssM"><li class="wssM1"><a href="#wss_dashboard" class="wssM3" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span7><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><?php  } ?><h1 class="wssA wssA7"><?php  echo _WEBO_SPLASH2_COMPARISON; ?></h1><table class="wssT wssT0"><col width="220"/><col width="180"/><col width="180"/><col width="180"/><thead class="wssT5"><tr class="wssT6"><th> </th><th class="wssT7"><?php  echo _WEBO_SPLASH2_COMPARISON_DEMO . ' ' . _WEBO_SPLASH2_COMPARISON_VERSION; ?><span class="wssI"><?php  echo _WEBO_SPLASH2_COMPARISON_FREE; ?></span></th><th class="wssT7"><?php  echo _WEBO_SPLASH2_COMPARISON_ZERO . ' ' . _WEBO_SPLASH2_COMPARISON_VERSION; ?><span class="wssI"><?php  echo _WEBO_SPLASH2_COMPARISON_ZEROPRICE; ?></span><?php  echo _WEBO_GENERAL_BUYNOWZERO; ?></th><th class="wssT7"><?php  echo _WEBO_SPLASH2_COMPARISON_LITE . ' ' . _WEBO_SPLASH2_COMPARISON_VERSION; ?><span class="wssI"><?php  echo _WEBO_SPLASH2_COMPARISON_LITEPRICE; ?></span><?php  echo _WEBO_GENERAL_BUYNOWLITE; ?></th></tr></thead><tfoot><tr><th class="wssT7"> </th><th class="wssT7"> </th><td class="wssT7"><?php  echo _WEBO_GENERAL_BUYNOWZERO; ?></th><td class="wssT7"><?php  echo _WEBO_GENERAL_BUYNOWLITE; ?></td></tr></tfoot><tbody><tr class="wssT8 wssT12"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_SPEEDUP; ?></th><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_UPTO; ?> 200%</td><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_UPTO; ?> 200%</td><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_UPTO; ?> 300%</td></tr><tr class="wssT8"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_CPU; ?></th><td class="wssT9 wssT14">-</td><td class="wssT9 wssT14">-</td><td class="wssT9 wssT13">+</td></tr><tr class="wssT8"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_BASIC; ?></th><td class="wssT9 wssT13">+</td><td class="wssT9 wssT13">+</td><td class="wssT9 wssT13">+</td></tr><tr class="wssT8"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_ADVANCED; ?></th><td class="wssT9 wssT14">-</td><td class="wssT9 wssT14">-</td><td class="wssT9 wssT13">+</td></tr><tr class="wssT8"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_HTTPS; ?></th><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_PARTLY; ?></td><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_PARTLY; ?></td></td><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_PARTLY; ?></td></tr><tr class="wssT8"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_SUPPORT; ?></th><td class="wssT9 wssT14">-</td><td class="wssT9 wssT13">+</td><td class="wssT9 wssT13">+</td></tr><tr class="wssT8"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_LICENSING; ?></th><td class="wssT9 wssT14">-</td><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_UNLIMITED; ?></td><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_UNLIMITED; ?></td></tr><tr class="wssT8 wssT12"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_UPDATE; ?></th><td class="wssT9 wssT13">+</td><td class="wssT9 wssT13">+</td><td class="wssT9 wssT13">+</td></tr><tr class="wssT8 wssT12"><th class="wssT9 wssT11"><?php  echo _WEBO_SPLASH2_COMPARISON_LIVE; ?></th><td class="wssT9 wssT14">-</td><td class="wssT9 wssT13">+</td><td class="wssT9 wssT13">+</td></tr><tr class="wssT8"><th class="wssT9 wssT11">HTML Sprites</th><td class="wssT9 wssT14">-</td><td class="wssT9 wssT14">-</td><td class="wssT9"><?php  echo _WEBO_SPLASH2_COMPARISON_UPTO; ?> 25% <span class="wssI"><?php  echo _WEBO_SPLASH2_COMPARISON_REQUESTS; ?></span></td></tr></tbody></table><p class="wssI"><a href="http://www.webogroup.com/home/site-speedup/complete-comparison/" class="wssJ"><?php  echo _WEBO_SPLASH2_COMPARISON_MORE . ' ' . _WEBO_SPLASH2_COMPARISON_FULL . ' ' . _WEBO_SPLASH2_COMPARISON_VERSION; ?></a></p> <?php
				break;
			case 'install_system':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM2" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><?php  if (!empty($success)) {  switch ($success) {  case 1: ?><div class="wssS wssS11"><div class="wssS1"><h2 class="wssB"><?php  echo _WEBO_SYSTEM_SUCCESS; ?></h2></div></div><?php  break;  case 2: ?><div class="wssK wssS11"><div class="wssK1"><h2 class="wssB"><?php  echo _WEBO_ERROR_TITLE; ?></h2><ul class="wssL"><?php  foreach ($files_to_change as $file) { ?><li class="wssL1"><?php  echo _WEBO_SPLASH3_CANTWRITE4 . preg_replace("/\\\/", "/", $document_root) . $file['file'];; ?></li><?php  } ?></ul></div></div><?php  break;  case 3: ?><div class="wssS wssS12"><div class="wssS1"><h2 class="wssB"><?php  echo _WEBO_LOGIN_SUCCESS; ?></h2></div></div><?php  break;  case 4: ?><div class="wssK wssS12"><div class="wssK1"><h2 class="wssB"><?php  echo _WEBO_ERROR_TITLE; ?></h2><ul class="wssL"><?php  if (!empty($error[1])) { ?><li class="wssL1"><?php  echo _WEBO_SPLASH2_UNABLE . ' ' . $website_root . ' ' . _WEBO_SPLASH2_MAKESURE; ?></li><?php  }  if (!empty($error[2])) { ?><li class="wssL1"><?php  echo _WEBO_SPLASH2_UNABLE . ' ' . $document_root . ' ' . _WEBO_SPLASH2_MAKESURE; ?></li><?php  }  if (!empty($error[3])) { ?><li class="wssL1"><?php  echo _WEBO_SYSTEM_css_writable; ?></li><?php  }  if (!empty($error[4])) { ?><li class="wssL1"><?php  echo _WEBO_SYSTEM_javascript_writable; ?></li><?php  }  if (!empty($error[5])) { ?><li class="wssL1"><?php  echo _WEBO_SYSTEM_html_writable; ?></li><?php  }  if (!empty($error[6])) { ?><li class="wssL1"><?php  echo _WEBO_SYSTEM_USERNAME; ?></li><?php  }  if (!empty($error[7])) { ?><li class="wssL1"><?php  echo _WEBO_SYSTEM_EXTERNAL_HTACCESS; ?></li><?php  }  if (!empty($error[8])) { ?><li class="wssL1"><?php  echo _WEBO_SPLASH3_CANTWRITE4 . realpath(dirname(__FILE__) . '/../') . '/.htpasswd'; ?></li><?php  }  if (!empty($error[9])) { ?><li class="wssL1"><?php  echo _WEBO_SPLASH3_CANTWRITE4 . realpath(dirname(__FILE__) . '/../') . '/.htaccess'; ?></li><?php  }  if (!empty($error[10])) { ?><li class="wssL1"><?php  echo _WEBO_SPLASH3_HTACCESS_CHMOD3 . ' ' . _WEBO_SPLASH3_HTACCESS_CHMOD4; ?></li><?php  } ?></ul></div></div><?php  break;  }  } ?><form method="post" enctype="multipart/form-data" action="#wss_system" class="wssC6 wssC7"><ul class="wssO3"><li class="wssO4 wssO5"><a href="#wssstatus" class="wssJ"><?php  echo _WEBO_SYSTEM_STATUS; ?><span class="wssJ6"></span></a></li><li class="wssO4"><a href="#wsssettings" class="wssJ"><?php  echo _WEBO_SYSTEM_SETTINGS; ?><span class="wssJ6"></span></a></li><li class="wssO4"><a href="#wsscache" class="wssJ"><?php  echo _WEBO_DASHBOARD_CACHE; ?><span class="wssJ6"></span></a></li><?php  if (!$custom) { ?><li class="wssO4"><a href="#updates" class="wssJ"><?php  echo _WEBO_SYSTEM_UPDATES; ?><span class="wssJ6"></span></a></li><?php  }  if (!$internal) { ?><li class="wssO4"><a href="#wssinstall" class="wssJ"><?php  echo _WEBO_SYSTEM_INSTALL; ?><span class="wssJ6"></span></a></li><?php  } ?><li class="wssO4"><a href="#wssinfo" class="wssJ"><?php  echo _WEBO_SYSTEM_PHPINFO; ?><span class="wssJ6"></span></a></li></ul><fieldset id="wssstatus" class="wssD9"><div class="wssD10"><h2 class="wssB"><?php  echo _WEBO_DASHBOARD_STATUS; ?></h2><p class="wssI">WEBO Site SpeedUp <?php  echo _WEBO_DASHBOARD_STATUS_IS; ?> <strong><?php  if ($active) {  echo _WEBO_DASHBOARD_STATUS_ACTIVE; ?></strong> (<?php  echo _WEBO_DASHBOARD_STATUS_LIVE; ?>).</p><p class="wssI"><?php  echo _WEBO_DASHBOARD_STATUS_WORKING; ?><a href="http://<?php  echo $website; ?>/" class="wssJ"><?php  echo _WEBO_DASHBOARD_STATUS_WORKING2; ?></a><?php  echo _WEBO_DASHBOARD_STATUS_WORKING3; ?></p><p class="wssI"><a href="#wss_status" class="wssJ wssJ5"><?php  echo _WEBO_DASHBOARD_STATUS_DISABLE;  } else {  echo _WEBO_DASHBOARD_STATUS_NOTACTIVE; ?></strong> (<?php  echo _WEBO_DASHBOARD_STATUS_DEBUG; ?>)</p><p class="wssI"><?php  echo _WEBO_DASHBOARD_STATUS_TESTING; ?></p><ul class="wssO7"><li class="wssO8"><?php  echo _WEBO_DASHBOARD_STATUS_TESTING2; ?><a href="http://<?php  echo $website; ?>/?web_optimizer_debug=1" class="wssJ"><?php  echo _WEBO_DASHBOARD_STATUS_TESTING4; ?></a>,</li><li class="wssO8"><?php  echo _WEBO_DASHBOARD_STATUS_COOKIE; ?><a href="javascript:_.doc.cookie='web_optimizer_debug=1;expires='+(new Date(new Date().getTime()+86400)).toGMTString()+';path=/;domain='+_.doc.domain+';';_.doc.location.href='http://'+_.doc.domain+'/'"><?php  echo _WEBO_DASHBOARD_STATUS_COOKIE2; ?></a>.</li></ul><p class="wssI"><?php  echo _WEBO_DASHBOARD_STATUS_TESTING3; ?></p><p class="wssI"><a href="#wss_status" class="wssJ wssJ7"><?php  echo _WEBO_DASHBOARD_STATUS_ENABLE;  } ?><span class="wssJ6"></span></a></p><h2 class="wssB"><?php  echo _WEBO_SYSTEM_ISSUES; ?></h2><?php  if ($e + $w + $i) { ?><ul class="wssO"><?php  foreach ($errors as $key => $value) {  if (empty($value)) { ?><li class="wssO1"><?php  echo constant('_WEBO_SYSTEM_' . $key); ?> <a class="wssJ9" href="#" title="<?php  echo str_replace('"', '&quot;', constant('_WEBO_SYSTEM_' . $key . '_HELP')); ?>">?</a></li><?php  }  }  foreach ($warnings as $key => $value) {  if (empty($value)) { ?><li class="wssO1 wssO2"><?php  echo constant('_WEBO_SYSTEM_' . $key); ?> <a class="wssJ9" href="#" title="<?php  echo str_replace('"', '&quot;', constant('_WEBO_SYSTEM_' . $key . '_HELP')); ?>">?</a></li><?php  }  }  foreach ($infos as $key => $value) {  if (empty($value)) { ?><li class="wssO1 wssO98"><?php  echo constant('_WEBO_SYSTEM_' . $key); ?> <a class="wssJ9" href="#" title="<?php  echo str_replace('"', '&quot;', constant('_WEBO_SYSTEM_' . $key . '_HELP')); ?>">?</a></li><?php  }  } ?></ul><?php  } else { ?><p class="wssI0"><?php  echo _WEBO_SYSTEM_NOPROBLEMS; ?></p><?php  } ?></div></fieldset><fieldset id="wsssettings" class="wssD9 wssA0"><div class="wssD10"><h2 class="wssB"><?php  echo _WEBO_SYSTEM_SETTINGS_TITLE; ?></h2><dl><dt class="wssD1"><label class="wssE" for="wss_host"><?php  echo _WEBO_host; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_host_HELP; ?>">?</a></label></dt><dd class="wssD2"><input value="<?php  echo htmlspecialchars($host); ?>" name="wss_host" id="wss_host" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_website_root"><?php  echo _WEBO_website_root; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_website_root_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[1])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input value="<?php  echo htmlspecialchars($website_root); ?>" name="wss_website_root" id="wss_website_root" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_document_root"><?php  echo _WEBO_document_root; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_document_root_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[2])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input value="<?php  echo htmlspecialchars($document_root); ?>" name="wss_document_root" id="wss_document_root" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_css_cachedir"><?php  echo _WEBO_css_cachedir; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_css_cachedir_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[3])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input value="<?php  echo htmlspecialchars($css_cachedir); ?>" name="wss_css_cachedir" id="wss_css_cachedir" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_javascript_cachedir"><?php  echo _WEBO_javascript_cachedir; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_javascript_cachedir_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[4])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input value="<?php  echo htmlspecialchars($javascript_cachedir); ?>" name="wss_javascript_cachedir" id="wss_javascript_cachedir" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_html_cachedir"><?php  echo _WEBO_html_cachedir; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_html_cachedir_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[5])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input value="<?php  echo htmlspecialchars($html_cachedir); ?>" name="wss_html_cachedir" id="wss_html_cachedir" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_encoding"><?php  echo _WEBO_charset; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_charset_HELP; ?>">?</a></label></dt><dd class="wssD2"><input value="<?php  echo htmlspecialchars($charset); ?>" name="wss_encoding" id="wss_encoding" class="wssF"/></dd><?php  if ($premium > 1) { ?><dt class="wssD1"><label class="wssE" for="wss_currency"><?php  echo _WEBO_currency; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_currency_HELP; ?>">?</a></label></dt><dd class="wssD2"><input value="<?php  echo htmlspecialchars($currency); ?>" name="wss_currency" id="wss_currency" class="wssF"/></dd><?php  if (!$internal) { ?><dt class="wssD5"><label class="wssE" for="wss_htaccess_access"><?php  echo _WEBO_htaccess_access; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_htaccess_access_HELP; ?>">?</a></label></dt><dd class="wssD6"><input type="checkbox"<?php  echo $htpasswd ? ' checked="checked"' : ''; ?> name="wss_htaccess_access" id="wss_htaccess_access" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_username"><?php  echo _WEBO_htaccess_login; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_htaccess_login_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[6])) { ?> wssD8<?php  } ?>"><span class="wssD3"></span><input value="<?php  echo htmlspecialchars($username); ?>" name="wss_username" id="wss_username" class="wssF"/></dd><?php  } ?><dt class="wssD1"><label class="wssE" for="wss_external_scripts_user"><?php  echo _WEBO_external_scripts_user; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_external_scripts_user_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[7])) { ?> wssD8<?php  } ?>"><span class="wssD3"></span><input value="<?php  echo htmlspecialchars($external_scripts_user); ?>" name="wss_external_scripts_user" id="wss_external_scripts_user" class="wssF"/></dd><dt class="wssD1"><label class="wssE" for="wss_external_scripts_pass"><?php  echo _WEBO_external_scripts_pass; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_external_scripts_pass_HELP; ?>">?</a></label></dt><dd class="wssD2<?php  if (!empty($error[7])) { ?> wssD8<?php  } ?>"><span class="wssD3"></span><input value="<?php  echo htmlspecialchars($external_scripts_pass); ?>" name="wss_external_scripts_pass" id="wss_external_scripts_pass" class="wssF"/></dd><?php  } ?><dt class="wssD1"><label class="wssE" for="wss_restricted"><?php  echo _WEBO_restricted; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_restricted_HELP; ?>">?</a></label></dt><dd class="wssD2"><textarea name="wss_restricted" id="wss_restricted" cols="80" rows="2" class="wssF wssF1"><?php  echo htmlspecialchars($restricted); ?></textarea></dd></dl><p class="wssI"><a href="javascript:var a=_('.wssC6')[0];if(_.b.ie){_[a.name]({target:a})}else{a.onsubmit({target:a})}void(0)" class="wssJ5"><?php  echo _WEBO_SPLASH1_SAVE; ?><span class="wssJ6"></span></a><input type="hidden" name="wss_Submit" value="1"/></p></div></fieldset> <fieldset id="wsscache" class="wssD9 wssA0 wssC4"><div class="wssD10"><h2 class="wssB"><?php  echo _WEBO_DASHBOARD_CACHE; ?></h2><table class="wssT wssT0"><col width="38%"/><col width="18%"/><col width="17%"/><col width="10%"/><col width="16%"/><thead class="wssT5"><tr class="wssT6"><th class="wssT7"><?php  echo _WEBO_CACHE_TYPE; ?></th><th class="wssT7"><?php  echo _WEBO_GZIP_SIZE; ?></th><th class="wssT7"><?php  echo _WEBO_DASHBOARD_CACHE_NUMBER; ?></th></tr></thead><tfoot class="wssT1"><tr class="wssT8 wssT19"><th class="wssT9"><?php  echo _WEBO_CACHE_TOTAL; ?>:</th><th class="wssT9"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", round($size / 1024)) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></th><th class="wssT9"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", $total); ?></th></tr></tfoot><tbody><?php  $i = 0;  foreach ($files as $index => $group) {  foreach ($group as $mask => $file) {  if (count($file) && $file[1]) { ?><tr class="wssT8 wssT1<?php  echo $i%2 ? 2 : 1; ?>"><td class="wssT9"><?php  echo constant('_WEBO_DASHBOARD_CACHE_' . $index) . ' (' . str_replace('*', '', $mask) . ')'; ?></td><td class="wssT9"><?php  echo preg_replace("@([0-9])([0-9][0-9][0-9])$@", "$1 $2", round($file[0] / 1024)) . ' ' . _WEBO_LOGIN_EFFICIENCY_KB; ?></td><td class="wssT9"><?php  echo $file[1]; ?></td></tr><?php  $i++;  }  }  } ?></tbody></table><p class="wssI"><a href="#wss_renew" class="wssJ7"><?php  echo _WEBO_DASHBOARD_CACHE_REFRESH; ?><span class="wssJ6"></span></a></p></div></fieldset><?php  if (!$custom) { ?><fieldset id="updates" class="wssD9 wssA0"><div class="wssD10"><h2 class="wssB"><?php  echo _WEBO_SYSTEM_UPDATES_TITLE; ?></h2><dl><dt class="wssD5"><label class="wssE" for="wss_showbeta"><?php  echo _WEBO_showbeta; ?> <a class="wssJ9" href="#" title="<?php  echo _WEBO_showbeta_HELP; ?>">?</a></label></dt><dd class="wssD6"><input type="checkbox"<?php  echo $showbeta ? ' checked="checked"' : ''; ?> name="wss_showbeta" id="wss_showbeta" title="<?php  echo $version; ?>" class="wssF" onclick="_('#wss_beta')[0].style.display=this.checked?'block':'none'"/></dd></dl><?php  if (round(str_replace(".", "", $version_new)) > round(str_replace(".", "", $version))) { ?><div id="wss_upd" title="<?php  echo _WEBO_LOGIN_VERSION . ' ' . $version_new; ?>"></div><?php  } else { ?><p class="wssI"><?php  echo _WEBO_SYSTEM_NOUPDATES; ?> (<?php  echo $version; ?>).</p><?php  }  if (count($versions)) { ?><p class="wssI"><a href="#wss_rollback" class="wssJ5" onclick="_.a(this)"><?php  echo _WEBO_SYSTEM_ROLLBACK; ?><span class="wssJ6"></span></a> <select name="wss_version_stable" id="wss_version_stable"><?php  foreach ($versions as $version_stable) { ?><option value="<?php  echo $version_stable; ?>"><?php  echo $version_stable; ?></option><?php  } ?></select></p><?php  } ?><div id="wss_beta"<?php  if (!$showbeta) { ?> class="wssA0"<?php  } ?> title="<?php  echo _WEBO_LOGIN_VERSION . ' ' . $version_beta; ?>"></div></div></fieldset><?php  }  if (!$internal) { ?><fieldset id="wssinstall" class="wssD9 wssA0"><div class="wssD10"><h2 class="wssB"><?php  echo _WEBO_SYSTEM_INSTALL_TITLE; ?></h2><p class="wssI"><?php  echo _WEBO_SYSTEM_INSTALLED; ?>: <?php  echo htmlspecialchars($cms_version); ?></p><p class="wssI"><?php  echo _WEBO_SYSTEM_INSTALLINFO; ?></p><ol class="wssO7"><?php  foreach ($files_to_change as $file) { ?><li class="wssO8"><?php  if (strpos($file['mode'], 'start') !== false && empty($file['location'])) { ?><p class="wssI"><?php  echo _WEBO_SPLASH3_TOFILE2; ?> <code><?php  echo preg_replace("/\\\/", "/", $document_root) . $file['file']; ?></code>:</p><textarea cols="80" rows="5" class="wssF wssF1">&lt;?php<?php  if ($file['mode'] == 'start') { ?>require('<?php  echo preg_replace("/\\\/", "/", $current_directory); ?>web.optimizer.php');<?php  } else {  echo '$not_buffered=1; require(\'' . preg_replace("/\\\/", "/", $current_directory) . '/web.optimizer.php\');function weboptimizer_shutdown($content){if(!empty($content)){$not_buffered=1; require(\'' . preg_replace("/\\\/", "/", $current_directory) . 'web.optimizer.php\'); if(!empty($web_optimizer)){$weboptimizer_content=$web_optimizer->finish($content);} if(!empty($weboptimizer_content)){$content=$weboptimizer_content;}return $content;}}ob_start(\'weboptimizer_shutdown\');';  } ?>?&gt;</textarea><?php  } elseif ($file['mode'] == 'finish' && $file['location'] == 'end') { ?><p><?php  echo _WEBO_SPLASH3_TOFILE3; ?> <code><?php  echo preg_replace("/\\\/", "/", $document_root) . $file['file']; ?></code>:</p><textarea cols="80" rows="2" class="wssF wssF1"><?php  if (empty($file['text'])) { ?>$web_optimizer->finish();<?php  } else {  echo $file['text'];  } ?></textarea><?php  } else { ?><p><?php  echo _WEBO_SPLASH3_TOFILE; ?> <code><?php  echo preg_replace("/\\\/", "/", $document_root) . $file['file']; ?></code> <?php  echo _WEBO_SPLASH3_AFTERSTRING; ?></p><textarea cols="80" rows="2" class="wssF wssF1"><?php  echo $file['location']; ?></textarea><p><?php  echo _WEBO_SPLASH3_ADD2; ?></p><textarea cols="80" rows="2" class="wssF wssF1"><?php   if (!empty($file['global'])) { ?>global $web_optimizer;<?php  }  if ($file['mode'] == 'start') { ?>require('<?php  echo preg_replace("/\\\/", "/", $current_directory); ?>web.optimizer.php');<?php  } elseif ($file['mode'] == 'start_shutdown') {  echo '$not_buffered=1; require(\'' . preg_replace("/\\\/", "/", $current_directory) . '/web.optimizer.php\');function weboptimizer_shutdown($content){if(!empty($content)){$not_buffered=1; require(\'' . preg_replace("/\\\/", "/", $current_directory) . 'web.optimizer.php\'); if(!empty($web_optimizer)){$weboptimizer_content=$web_optimizer->finish($content);} if(!empty($weboptimizer_content)){$content=$weboptimizer_content;}return $content;}}ob_start(\'weboptimizer_shutdown\');';  } else {  if (empty($file['text'])) { ?>$web_optimizer->finish();<?php  } else {  echo $file['text'];  }  } ?></textarea><?php  } ?></li><?php  } ?></ol><p class="wssI"><?php  echo _WEBO_SYSTEM_INSTALLINFO2; ?></p><p class="wssI"><a href="#wss_install" class="wssJ7"><?php  echo _WEBO_DASHBOARD_INSTALL; ?><span class="wssJ6"></span></a><a href="#wss_uninstall" class="wssJ5"><?php  echo _WEBO_SPLASH1_UNINSTALL; ?><span class="wssJ6"></span></a></p></div></fieldset><?php  } ?><fieldset id="wssinfo" class="wssD9 wssA0"><iframe class="wssD11 wssD13" src="data:text/html;base64,<?php  echo $phpinfo; ?>"></iframe></fieldset></form><div class="wss_h"><h4 class="wss_l"><span id="wss_prog">0</span>%<span class="wss_m"></span></h4><p id="wss_mess"></p><span id="wss_mess1" class="wssA0"><?php  echo _WEBO_UPGRADE_FILE; ?></span></div> <?php
				break;
			case 'install_uninstall':
				?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><?php  if (!empty($submit) && !count($error)) { ?><div class="wssS"><div class="wssS1"><h2 class="wssB"><?php  echo _WEBO_ABOUT_SUCCESS; ?></h2></div></div><?php  } elseif (count($error)) { ?><div class="wssK"><div class="wssK1"><h2 class="wssB"><?php  echo _WEBO_ERROR_TITLE; ?></h2><ul class="wssL"><li class="wssL1<?php  if (empty($error[1])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_ABOUT_ENTEREMAIL; ?></li><li class="wssL1<?php  if (empty($error[2])) { ?> wssA0<?php  } ?>"><?php  echo _WEBO_ABOUT_ENTEREMESSAGE; ?></li></ul></div></div><?php  } ?><h1 class="wssA wssA4"><?php  echo _WEBO_SPLASH1_UNINSTALL_TITLE; ?></h1><form action="#wss_uninstall" method="post" class="wssC7" enctype="multipart/form-data"><h2 class="wssB"><?php  echo _WEBO_SPLASH1_UNINSTALL_SEND; ?></h2><dl class="wssD"><dt class="wssD1"><label for="wss_email" class="wssE"><?php   echo _WEBO_ABOUT_EMAIL; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[1])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><input id="wss_email" name="wss_email" title="<?php  echo _WEBO_ABOUT_ENTEREMAIL; ?>" class="wssF" value="<?php  if ((empty($submit) || !empty($email)) && count($error)) {  echo htmlspecialchars($email);  } ?>"/></dd><dt class="wssD1"><label for="wss_message" class="wssE"><?php   echo _WEBO_UNINSTALL_MESSAGE; ?>:</label></dt><dd class="wssD2<?php  if (!empty($error[2])) { ?> wssD8<?php  } ?>"><span class="wssD3">*</span><textarea id="wss_message" name="wss_message" cols="20" rows="5" title="<?php  echo _WEBO_ABOUT_ENTEREMESSAGE; ?>" class="wssF wssF2"><?php  if ((empty($submit) || !empty($message)) && count($error)) {  echo htmlspecialchars($message);  } ?></textarea></dd></dl><p class="wssD"><input type="submit" value="<?php  echo _WEBO_ABOUT_SEND; ?>" class="wssG"/><input type="hidden" name="wss_page" value="install_uninstall"/><input type="hidden" name="wss_Submit" value="1"/></p></form><div class="wssH wssH5"><div class="wssRB"><span class="wssRB1"><span class="wssRB2">&bull;</span></span><span class="wssRB3"><span class="wssRB4">&bull;</span></span></div><div class="wssH1"><h2 class="wssB"><?php  echo _WEBO_UNINSTALL_SUCCESS; ?></h2><p class="wssI"><?php  echo _WEBO_SPLASH1_UNINSTALL_THANKS; ?></p><p class="wssI"><?php  echo _WEBO_SPLASH1_UNINSTALL_VISIT; ?></p><p class="wssI"><?php  echo _WEBO_SPLASH1_UNINSTALL_BACK . $_SERVER['HTTP_HOST'] . str_replace($document_root, "/", $basepath) . _WEBO_SPLASH1_UNINSTALL_BACK2; ?></p></div><div class="wssRB"><span class="wssRB5"><span class="wssRB6">&bull;</span></span><span class="wssRB7"><span class="wssRB8">&bull;</span></span></div></div> <?php
				break;
			case 'install_wizard':
				    if ($wizard_mode) {  echo $wizard_mode; } else { ?><noscript><?php  echo _WEBO_NEW_NOSCRIPT; ?></noscript><ul class="wssM"><li class="wssM1"><a class="wssM3" href="#wss_dashboard" title="<?php  echo _WEBO_SPLASH2_CONTROLPANEL_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM10"><?php  echo _WEBO_SPLASH2_CONTROLPANEL; ?></span></a></li><li class="wssM1"><a href="#wss_options" class="wssM3" title="<?php  echo _WEBO_SPLASH2_OPTIONS_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM11"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></span></a></li><li class="wssM1"><a href="#wss_system" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_SYSTEM_TITLE; ?>"><span class="wssM5"></span><span class="wssM4 wssM12"><?php  echo _WEBO_DASHBOARD_SYSTEM; ?></span></a></li><li class="wssM1"><a href="#wss_account" class="wssM3" title="<?php  echo _WEBO_DASHBOARD_ACCOUNT_TITLE ?>"><span class="wssM5"></span><span class="wssM4 wssM14"><?php  echo _WEBO_DASHBOARD_ACCOUNT; ?></span></a></li><li class="wssM1"><a class="wssM3" href="#wss_awards" title="<?php  echo _WEBO_DASHBOARD_AWARDS; ?>"><span class="wssM5"></span><span class="wssM4 wssM16"><?php  echo _WEBO_DASHBOARD_AWARDS_TITLE; ?></span></a></li></ul><h1 class="wssA wssA10"><?php  echo _WEBO_WIZARD_TITLE; ?></h1><div class="wssC10"><div class="wssC9"><ul class="wssO7"><li class="wssO8 wssO9 wssO0"><a href="javascript:_.a({href:'#wss_wizard'});void(0)" class="wssJ"><span class="wssJ30">1</span> <?php  echo _WEBO_WIZARD_STEP1; ?></a><span class="wssJ32"></span></li><li class="wssO8"><a href="javascript:_.wz=47;_.wizard()" class="wssJ"><span class="wssJ30">2</span> <?php  echo _WEBO_WIZARD_STEP2; ?></a><span class="wssJ32"></span></li><li class="wssO8"><a href="javascript:_.wz=50;_.wizard()" class="wssJ"><span class="wssJ30">3</span> <?php  echo _WEBO_WIZARD_STEP3; ?></a></li></ul><p class="wssI"><?php  echo _WEBO_WIZARD_NOTE; ?></p></div><div class="wssC11 wssC12 wssC21"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP11; ?></h3><?php  echo _WEBO_WIZARD_STEP11_INFO; ?><span class="wssJ31"></span></div><div class="wssC11 wssC12 wssA0 wssC22"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP12; ?></h3><?php  echo _WEBO_WIZARD_STEP12_INFO; ?><span class="wssJ31"></span></div><div class="wssC11 wssC12 wssA0 wssC23"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP13; ?></h3><?php  echo _WEBO_WIZARD_STEP13_INFO; ?><span class="wssJ31"></span></div><div class="wssC11 wssC12 wssA0 wssC24"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP14; ?></h3><?php  echo _WEBO_WIZARD_STEP14_INFO; ?><span class="wssJ31"></span></div><div class="wssC11 wssC12 wssA0 wssC25"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP15; ?></h3><?php  echo _WEBO_WIZARD_STEP15_INFO; ?><span class="wssJ31"></span></div><div class="wssC11 wssC12 wssA0 wssC26"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP16; ?></h3><?php  echo _WEBO_WIZARD_STEP16_INFO; ?><span class="wssJ31"></span></div><div class="wssC11 wssC12 wssA0 wssC27"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP17; ?></h3><?php  echo _WEBO_WIZARD_STEP17_INFO; ?><span class="wssJ31"></span></div><div class="wssC11 wssC12 wssA0 wssC28"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP18; ?></h3><?php  echo _WEBO_WIZARD_STEP18_INFO; ?><span class="wssJ31"></span></div><form class="wssC11 wssC13 wssA0 wssC6"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP21; ?></h3><?php  echo _WEBO_WIZARD_STEP21_INFO; ?><dl class="wssD10"><dt class="wssD5"><label for="wss_manual1" class="wssE"><?php  echo _WEBO_WIZARD_STEP211; ?></label></dt><dd class="wssD6"><input type="radio" name="wss_manual" id="wss_manual1" class="wssF" title="<?php  echo _WEBO_WIZARD_STEP211_HELP; ?>" value="1" checked="checked"/></dd><dt class="wssD5"><label for="wss_manual2" class="wssE"><?php  echo _WEBO_WIZARD_STEP212; ?></label></dt><dd class="wssD6"><input type="radio" name="wss_manual" id="wss_manual2" class="wssF" title="<?php  echo _WEBO_WIZARD_STEP212_HELP; ?>" value="2"/></dd></dl><a href="javascript:_.wz=_.doc.getElementById('wss_manual1').checked?50:48;_.wizard()" class="wssJ5"><?php  echo _WEBO_WIZARD_NEXT; ?><span class="wssJ6"></span></a><span class="wssJ31"></span></form><form class="wssC11 wssC13 wssA0 wssC6"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP22; ?></h3><?php  echo _WEBO_WIZARD_STEP22_INFO; ?><dl class="wssD10"><dt class="wssD5"><label for="wss_serverside1" class="wssE"><?php  echo _WEBO_WIZARD_STEP221; ?></label></dt><dd class="wssD6"><input type="radio" name="wss_serverside" id="wss_serverside1" class="wssF" title="<?php  echo _WEBO_WIZARD_STEP221_HELP; ?>" value="1" checked="checked"/></dd><dt class="wssD5"><label for="wss_serverside2" class="wssE"><?php  echo _WEBO_WIZARD_STEP222; ?></label></dt><dd class="wssD6"><input type="radio" name="wss_serverside" id="wss_serverside2" class="wssF" title="<?php  echo _WEBO_WIZARD_STEP222_HELP; ?>" value="2"/></dd></dl><a href="javascript:_.wiz('49&web_optimizer_wizard_options='+(_.doc.getElementById('wss_serverside2').checked?2:1))" class="wssJ5"><?php  echo _WEBO_WIZARD_NEXT; ?><span class="wssJ6"></span></a><span class="wssJ31"></span></form><div class="wssC11 wssC13 wssA0"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP23; ?></h3><?php  echo _WEBO_WIZARD_STEP23_INFO; ?><ul class="wssO7"><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP12; ?></li><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP122; ?></li><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP13; ?></li><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP132; ?></li><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP14; ?></li><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP142; ?></li><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP15; ?></li><li class="wssO8 wssA0"><?php  echo _WEBO_WIZARD_STEP18; ?></li></ul><a href="javascript:_.wz=50;_.wizard()" class="wssJ5"><?php  echo _WEBO_WIZARD_NEXT; ?><span class="wssJ6"></span></a><span class="wssJ31"></span></div><div class="wssC11 wssC14 wssA0"><h3 class="wssB3"><?php  echo _WEBO_WIZARD_STEP31; ?></h3><p class="wssI wssI4"><span class="wssI5"><span id="wss_acceleration"></span><?php  echo _WEBO_WIZARD_FROM; ?> <strong><span id="wss_before"></span><?php  echo _WEBO_LOGIN_EFFICIENCY_S; ?></strong> <?php  echo _WEBO_WIZARD_TO; ?> <strong><span id="wss_after"></span><?php  echo _WEBO_LOGIN_EFFICIENCY_S; ?></span></strong><?php  echo _WEBO_WIZARD_STEP31_INFO; ?></p><p class="wssI"><?php  echo _WEBO_WIZARD_STEP31_INFO2; ?> <a href="#wss_options"><?php  echo _WEBO_SPLASH2_OPTIONS; ?></a> <?php  echo _WEBO_DASHBOARD_CRITICAL_OR; ?> <a href="<?php  echo _WEBO_WIZARD_ORDER; ?>"><?php  echo _WEBO_WIZARD_STEP31_INFO3; ?></a>. <?php  echo _WEBO_WIZARD_STEP31_INFO4; ?></p><a href="javascript:_.wiz(51)" class="wssJ7"><?php  echo _WEBO_WIZARD_SAVE; ?><span class="wssJ6"></span></a><span class="wssJ31"></span></div><h3 class="wssB3"><?php  echo _WEBO_WIZARD_PREVIEW; ?></h3><iframe src="<?php  echo $website_root; ?>?web_optimizer_debug=1" id="wss_website" frameborder="0"></iframe><iframe src="<?php  echo $website_root; ?>?web_optimizer_disabled=1" id="wss_website_initial"></iframe><iframe src="#" id="wss_website_tech"></iframe><?php } 
				break;
			case 'options_configuration':
				    foreach ($options as $key => $config) { ?>_.config.<?php  echo htmlspecialchars($key); ?>=[<?php  foreach ($config as $group => $value) {  if (is_array($value)) {  foreach ($value as $k => $v) {  if ($k != 'premium') { ?>["wss_<?php  echo $k; ?>","<?php  echo htmlspecialchars($v['value']); ?>"],<?php  }  }  } else { ?>["wss_<?php  echo $group; ?>","<?php  echo $value; ?>"]<?php  if ($group != 'fee') { ?>,<?php  }  }  } ?>];<?php  } 
				break;
			default:
				if (@file_exists ($this->paths['full']['view'] . "$file_name.php")) {
					include($this->paths['full']['view'] . "$file_name.php");
				} elseif (@file_exists (@getcwd() . "/view/" . "$file_name.php")) {
					include(@getcwd() . "/view/" . "$file_name.php");
				} else {
					echo "<body style='font-family:verdana;font-size:11px'><p>Rendering of template $file_name.php failed.<br/>Debug info:<p>Looking for file in: <ul><li>" . $this->paths['full']['view']."$file_name.php" . "</li><li>" . "view/"."$file_name.php" ."</li></ul></p><p>Server info: <ul><li><strong>Document root:</strong> " . $_SERVER['DOCUMENT_ROOT'] . "</li><li><strong>Script name:</strong> " . $_SERVER['SCRIPT_NAME']."</li></ul></p></p></body>";
				}
				break;
		}
	}

	/**
	 * Version of basename works on nix and windows
	 *
	 **/	
	function get_basename ($filename) {
		return preg_replace( '/^.*[\\\\\\/]/', '', $filename );
	}

	/**
	 * Unifies the sep
	 *
	**/
	function unify_dir_separator ($path) {
		if (DIRECTORY_SEPARATOR !== '/') {
			return str_replace (DIRECTORY_SEPARATOR, '/', $path);
		} else {
			return $path;
		}
	}

	/**
	* Validate license
	* You can donate for Web Optimizer here: http://sprites.in/donate/
	**/
	function validate_license ($license, $cachedir = false, $host = false) {
		if (strlen($license) == 29) {
			$table = '123QWERTUIOP456ASDFGHJKLCVBNM7890ZXYqwertuiop456asdfghjklcvbnm7890zxy';
			$l = str_replace(array('-', '0', '9', 'X', 'Y', 'WEBOPTI', 'MIZATOR', 'Z', 'WEBOSIT', 'ESPEEDU'), array(), strtoupper($license));
			$c1 = strpos($table, substr($l, 1, 1))*31 + strpos($table, substr($l, 0, 1));
			$c2 = strpos($table, substr($l, 3, 1))*31 + strpos($table, substr($l, 2, 1));
			$i = -1;
			$c3 = 0;
			while (strlen($l) > 4+(++$i)) {
				$c3 += pow(31, $i) * strpos($table, substr($l, 4 + $i, 1));
			}
			$t0 = !($c1%941 - $c2);
			$t1 = !($c3%941 - $c1) && !($c1%941 - $c2);
			$t2 = !($c3*$c3 - floor($c3*$c3/941)*941 - $c1) && !($c1*$c1 - floor($c1*$c1/941)*941 - $c2);
			$t3 = !(pow($c3, 3) - floor(pow($c3, 3)/941)*941 - $c1) && !(pow($c1, 3) - floor(pow($c1, 3)/941)*941 - $c2);
			if ($t0 || $t1 || $t2 || $t3) {
				if ($cachedir) {
					$wof = $cachedir . 'wo';
					$wo = $this->file_get_contents($wof);
					if (!@is_file($wof) || $wo) {
						if (time() - @filemtime($wof) > 86400) {
							$this->download("http://webo.name/license/?key=" . $license, $wof, 5, $host);
						}
						$wo = $this->file_get_contents($wof);
						if ($wo < 0) {
							return false;
						}
					}
					if (!@is_file($wof)) {
						@touch($wof);
					}
				}
				return $t1 ? 1 : ($t0 ? 0.5 : (strpos($license, 'EBOS') ? 10 : ($t3 ? 3 : 2)));
			}
		}
		return false;
	}

	/**
	* Generic download function to get external files
	*
	**/
	function download ($remote_file, $local_file, $timeout = 60, $host = false, $user = false, $pass = false, $recursion = 0) {
		if (!$host) {
			$host = $_SERVER['HTTP_HOST'];
		}
		$code = 0;
		$gzip = false;
		$headers = '';
		if (function_exists('curl_init')) {
			$local_dir = preg_replace("/\/[^\/]*$/", "/", $local_file);
/* try to create local directory*/
			if ($local_dir != $local_file && !@is_dir($local_dir)) {
				@mkdir($local_dir, octdec("0755"));
			}
/* parse headers for content-encoding */
			$local_file_headers = $local_file . ".headers";
/* start curl */
			$ch = @curl_init($remote_file);
			$fp = @fopen($local_file, "w+");
			$fph = @fopen($local_file_headers, "w+");
			if ($fp && $ch) {
				@curl_setopt($ch, CURLOPT_FILE, $fp);
				@curl_setopt($ch, CURLOPT_HEADER, 0);
				@curl_setopt($ch, CURLOPT_USERAGENT,
					empty($_SERVER['HTTP_USER_AGENT']) ?
					"Mozilla/5.0 (WEBO Site SpeedUp; http://www.webogroup.com/) Firefox 3.6" :
					$_SERVER['HTTP_USER_AGENT']);
				@curl_setopt($ch, CURLOPT_ENCODING, "deflate,gzip");
				@curl_setopt($ch, CURLOPT_REFERER, $host);
/* set username / password for HTTP Basic Authorization */
				if ($user && $pass) {
					@curl_setopt($ch, CURLOPT_USERPWD, $user . ':' . $pass);
				}
/* write headers - to get gzip info */
				@curl_setopt($ch, CURLOPT_WRITEHEADER, $fph);
				@curl_setopt($ch, CURLOPT_TIMEOUT, $timeout);
/* resolve 301/302 redirects */
				@curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
				@curl_setopt($ch, CURLOPT_MAXREDIRS, 30);
/* skip SSL verification */
				@curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
				@curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
				@curl_exec($ch);
				@curl_close($ch);
				@fclose($fp);
				@fclose($fph);
			}
/* reset buffers */
			$fph = @fopen($local_file_headers, "r");
			@fclose($fph);
			if ($headers = $this->file_get_contents($local_file_headers)) {
				$gzip = preg_match('/content-encoding/i', $headers);
				$code = round(preg_replace('!HTTP/1\.[01]\s([0-9][0-9][0-9])\s.*!', '$1', $headers));
				@unlink($local_file_headers);
			}
/* fix for 403 error (forbidden) and 404 (not found) */
			if ($code == 403 || $code == 404) {
				$fp = @fopen($local_file, "w");
				@fclose($fp);
			}
/* Fix non-supported 301/302 redirect */
			if (strpos($headers, 'Location:') && $recursion < 30) {
				$this->download(preg_replace("!.*Location:\s*([^\n]+)\r?.*!is", "$1", $headers), $local_file, $timeout, $host, $user, $pass, $recursion++);
			}
		}
		return array($gzip, $code, $headers);
	}

	/**
	* Generic upload function to put local files / send commands
	*
	**/
	function upload ($remote_file, $local_file, $tmpdir, $headers = array(), $method = '', $auth = '') {
		if (function_exists('curl_init')) {
			$file_headers = $tmpdir . "wo.headers";
/* start curl */
			$ch = @curl_init($remote_file);
			$fph = @fopen($file_headers, "w");
			$fp = NULL;
			if ($ch) {
				@curl_setopt($ch, CURLOPT_VERBOSE, true);
				switch ($method) {
					case 'PUT':
						if ($local_file) {
							$fp = @fopen($local_file, "r");
							@curl_setopt($ch, CURLOPT_INFILE, $fp);
							@curl_setopt($ch, CURLOPT_UPLOAD, 1);
							@curl_setopt($ch, CURLOPT_INFILESIZE, @filesize($local_file));
							@curl_setopt($ch, CURLOPT_PUT, 1);
/* enter active mode for EdgeCast */
							if (strpos($remote_file, 'edgecastcdn.net') !== false || strpos($remote_file, 'gdlcdn.com') !== false) {
								@curl_setopt($ch, CURLOPT_FTPPORT, ':30001-31000');
							}
						} else {
							@curl_setopt($ch, CURLOPT_NOBODY, 1);
						}
						@curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
						break;
					case 'HEAD':
						@curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'HEAD');
						@curl_setopt($ch, CURLOPT_NOBODY, 1);
						break;
					default:
						break;
				}
				@curl_setopt($ch, CURLOPT_HEADER, 0);
				@curl_setopt($ch, CURLOPT_USERAGENT,
					empty($_SERVER['HTTP_USER_AGENT']) ?
					"Mozilla/5.0 (WEBO Site SpeedUp; http://www.webogroup.com/) Firefox 3.6" :
					$_SERVER['HTTP_USER_AGENT']);
				@curl_setopt($ch, CURLOPT_ENCODING, "");
				@curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				@curl_setopt($ch, CURLOPT_REFERER, $_SERVER['HTTP_HOST']);
/* FTP authorization */
				if ($auth) {
					@curl_setopt($ch, CURLOPT_USERPWD, $auth);
					@curl_setopt($ch, CURLOPT_FTP_CREATE_MISSING_DIRS, 1);
				}
/* write given headers */
				if (count($headers)) {
					@curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
				}
/* write headers - to get gzip info */
				@curl_setopt($ch, CURLOPT_WRITEHEADER, $fph);
				@curl_setopt($ch, CURLOPT_TIMEOUT, 30);
/* skip SSL verification */
				@curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
				@curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
				@curl_exec($ch);
				$error = @curl_errno($ch);
				@curl_close($ch);
				if ($fp) {
					@fclose($fp);
				}
				@fclose($fph);
/* reset buffers */
				$fph = @fopen($file_headers, "r");
				@fclose($fph);
				$headers = $error ? 'Error: ' . $error : $this->file_get_contents($file_headers);
				@unlink($file_headers);
			}
		}
		return $headers;
	}
	
	/**
	* CDN upload function (FTP / API)
	*
	**/
	function upload_cdn ($file, $cachedir, $auth, $mime, $host) {
/* Rack Space Cloud */
		if ($last = strpos($auth, '@RSC')) {
			$first = strpos($auth, ':');
			$user = substr($auth, 0, $first);
			$key = substr($auth, $first + 1, $last - $first - 1);
/* perform authorization */
			$headers = $this->upload('https://auth.api.rackspacecloud.com/v1.0',
				'', $cachedir,
				array('X-Auth-User: ' . $user, 'X-Auth-Key: ' . $key), 'GET');
/* upload file to storage */
			return $this->upload(preg_replace("@.*X-Storage-Url: (.*?)\r?\n.*@is", "$1", $headers) .
				'/wo' . str_replace($cachedir, "/", $file),
				$file, $cachedir,
				array('X-Auth-Token: ' . preg_replace("@.*X-Auth-Token: (.*?)\r?\n.*@is", "$1", $headers),
				'Content-Type: ' . $mime,
				'ETag: ' . md5($this->file_get_contents($file)),
				'X-Referrer-ACL: 259200',
				'X-Referrer-ACL: ' . $host), 'PUT');
/* common FTP */
		} else {
			return $this->upload('ftp://' .
				preg_replace("!^([^@]+)@([^:]+):([^@]+)@!", "$1:$3@", $auth) .
				str_replace($cachedir, "/", $file),
				$file, $cachedir, array(), 'PUT', 
				preg_replace("!(.*)@.*!", "$1", $auth));
		}
	}

	function file_get_contents ($file) {
		if (get_magic_quotes_runtime()) {
			return stripslashes(@file_get_contents($file));
		} else {
			return @file_get_contents($file);
		}
	}

}
?>
